man-db (2.13.1-1progress8u1) horok; urgency=medium

  * Initial upload to horok.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.
  * Setting man-db/auto-update to false.
  * Silencing man-db trigger when disabled.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 21 Jun 2025 08:14:48 +0200

man-db (2.13.1-1) unstable; urgency=medium

  * Remove /usr/lib/man-db/{man,mandb} compatibility symlinks, obsolete
    since 2002.
  * New upstream release:
    - man(1): Fix minor formatting issues (closes: #1085485).
    - Tolerate additional spaces in preprocessor strings (closes: #1093431).
    - manpath(5): Fix minor formatting issues (closes: #1095890).
    - Increase MAX_NAME to 16384 (closes: #1102453).

 -- Colin Watson <cjwatson@debian.org>  Fri, 02 May 2025 14:24:27 +0100

man-db (2.13.0-1) unstable; urgency=medium

  * New upstream release:
    - Improve table formatting in description of --ascii (closes: #1073530).
  * Add an autopkgtest that runs the upstream tests against the installed
    package.

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Aug 2024 13:33:40 +0100

man-db (2.12.1-3) unstable; urgency=medium

  [ Colin Watson ]
  * Apply X-Style: black.
  * Drop obsolete "Replaces: nlsutils" (added in 1997!).
  * Remove dh_auto_test override, redundant as of debhelper 9.20160306
    (thanks, Niels Thykier).

  [ Samuel Thibault ]
  * Disable Y2038 support on hurd-i386 (closes: #1078004).

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 Aug 2024 12:28:02 +0100

man-db (2.12.1-2) unstable; urgency=medium

  [ Colin Watson ]
  * Configure with --disable-setuid to reduce the need for chown at package
    build time.  (The man-db/install-setuid debconf question still works as
    before.)

  [ Niels Thykier ]
  * Migrate to debputy to avoid needing fakeroot.

 -- Colin Watson <cjwatson@debian.org>  Wed, 05 Jun 2024 14:51:41 +0100

man-db (2.12.1-1) unstable; urgency=medium

  * New upstream release.
    - man: match the display width to the configured width (closes:
      #1059537).

 -- Colin Watson <cjwatson@debian.org>  Fri, 05 Apr 2024 09:44:48 +0100

man-db (2.12.0-4) unstable; urgency=medium

  * Build-depend on pkgconf rather than pkg-config.
  * Build-depend on gnulib and rebootstrap from it at build time.

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Mar 2024 19:33:19 +0000

man-db (2.12.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Thu, 11 Jan 2024 10:59:41 +0000

man-db (2.12.0-2) experimental; urgency=medium

  [ Sven Joachim ]
  * Add systemd-dev to Build-Depends (closes: #1060144).

 -- Colin Watson <cjwatson@debian.org>  Sun, 07 Jan 2024 15:58:45 +0000

man-db (2.12.0-1) unstable; urgency=medium

  * New upstream release:
    - Always pass a line length to nroff (closes: #1041704).
    - bootstrap: Make --skip-po disable Gnulib downloads too (closes:
      #1050089).
    - systemd: Avoid duplicate cleanup of old cat pages (closes: #1052221).

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Sep 2023 22:35:45 +0100

man-db (2.11.2-3) unstable; urgency=medium

  * Cherry-pick from upstream:
    - Update warning regex for groff 1.23.0 (closes: #1041847).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Jul 2023 12:46:49 +0100

man-db (2.11.2-2) unstable; urgency=medium

  * Add debconf translations:
    - Romanian (thanks, Remus-Gabriel Chelu; closes: #1032685).

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Mar 2023 22:23:59 +0000

man-db (2.11.2-1) unstable; urgency=medium

  * New upstream release:
    - Fix crash in mandb when processing stray cats (closes: #1027487).
  * Set upstream metadata fields: Repository.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Jan 2023 22:52:39 +0000

man-db (2.11.1-1) unstable; urgency=medium

  * debian/upstream/metadata: Update upstream Git URL.
  * debian/control: Update Homepage URL.
  * debian/copyright: Update Source URL.
  * New upstream release:
    - SECURITY: Replace "$" characters in page names with "?" when
      constructing "less" prompts (closes: #1021951).
    - Silence error message when processing an empty manual page hierarchy
      with a nonexistent cache directory (closes: #762335).
    - man(1) now sorts whatis references below real pages, even if the
      whatis references are from a section with higher priority (closes:
      #780235).
    - Add section "3type" to the default section list just after "2".  This
      is used by the Linux man-pages package.

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Nov 2022 15:14:06 +0000

man-db (2.11.0-1) unstable; urgency=medium

  * New upstream release:
    - Allow the reproduction of bitwise-identical databases regardless of
      scan order (closes: #1010957).
    - Run preprocessors in the correct order (closes: #1012078).

 -- Colin Watson <cjwatson@debian.org>  Sat, 15 Oct 2022 15:48:48 +0100

man-db (2.10.2-3) unstable; urgency=medium

  * Fix/override shellcheck warnings in maintainer scripts and cron jobs.
  * Fall back to runuser if setpriv isn't available (closes: #1017769).

 -- Colin Watson <cjwatson@debian.org>  Sun, 04 Sep 2022 18:18:40 +0100

man-db (2.10.2-2) unstable; urgency=medium

  [ Gioele Barabucci ]
  * d/postinst: Run mandb with setpriv instead of perl.

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Aug 2022 10:13:31 +0100

man-db (2.10.2-1) unstable; urgency=medium

  * New upstream release:
    - Fix showing HTML, as firefox runs into background too fast (closes:
      #335411).

 -- Colin Watson <cjwatson@debian.org>  Thu, 17 Mar 2022 19:03:00 +0000

man-db (2.10.1-1) unstable; urgency=medium

  * Ensure that PATH in cron jobs includes sbin directories, since there are
    long-standing bugs that it doesn't always do so (closes: #209185).
  * New upstream release:
    - Update Simplified Chinese manual page translation (closes: #1005139).

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 Feb 2022 12:36:03 +0000

man-db (2.10.0-2) unstable; urgency=medium

  * Fix occasional mandb-symlink-target-timestamp test failure.

 -- Colin Watson <cjwatson@debian.org>  Fri, 04 Feb 2022 19:21:06 +0000

man-db (2.10.0-1) unstable; urgency=medium

  * Simplify some debhelper overrides slightly.
  * debian/upstream/metadata: Update for upstream move to GitLab.
  * Add section 0 to default search list (closes: #1004248).
  * New upstream release:
    - Document MAN_DISABLE_SECCOMP and PIPELINE_DEBUG environment variables
      in man(1) (closes: #941622).
    - Add man-pages(7) reference to man(1) (closes: #974174).
    - lexgrog now produces output in the user's locale (closes: #970482).
    - Downgrade "malformed .lf request" warning to a debug message and
      rephrase it somewhat, since .lf requests can use *roff arithmetic
      expressions and we can't reasonably parse those (closes: #998426).
    - Significantly improve mandb(8) and "man -K" performance in the common
      case where pages are of moderate size and compressed using zlib
      (closes: #630799, #1003089; LP: #1858777).
    - Avoid modifying the database without changing its mtime, which had
      been possible since 2.7.0 if mandb's purge phase found work to do but
      the main phase didn't, and which confused some backup systems into
      reporting possible filesystem corruption (closes: #1004355,
      LP: #1411633).
    - mandb now stores the mtime of link targets as the mtime of their
      corresponding database entries, rather than sometimes storing the
      mtime of the link instead (closes: #691643).

 -- Colin Watson <cjwatson@debian.org>  Fri, 04 Feb 2022 15:30:35 +0000

man-db (2.9.4-4) unstable; urgency=medium

  * debian/watch: Upgrade to version 4.
  * Upgrade to debhelper v13.
  * Move globbing, manconv, and zsoelim to /usr/libexec/man-db, in line with
    FHS 3.0.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Dec 2021 14:55:45 +0000

man-db (2.9.4-3) unstable; urgency=medium

  [ Colin Watson ]
  * Remove maintainer script code for upgrades from extremely old versions.
  * Convert several debconf translations to UTF-8.
  * Remove now-unnecessary hardening-no-fortify-functions Lintian override.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg and libpipeline-dev.
    + man-db: Drop versioned constraint on debconf and groff-base in Depends.
    + man-db: Drop versioned constraint on dpkg in Pre-Depends.
    + man-db: Drop versioned constraint on manpages-de, manpages-tr and
      manpages-zh in Replaces.
    + man-db: Drop versioned constraint on manpages-tr and manpages-zh in
      Breaks.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Dec 2021 02:09:49 +0000

man-db (2.9.4-2) unstable; urgency=medium

  [ Marriott NZ ]
  * Remove overquoting of %s placeholder in mailcap entry (closes: #982618).

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Feb 2021 10:14:23 +0000

man-db (2.9.4-1) unstable; urgency=medium

  * New upstream release:
    - Allow clock_gettime64; return ENOSYS so libcs can engage fallbacks
      (closes: #969072).
    - Handle \[en] escapes in NAME section (closes: #970122).

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Feb 2021 23:24:55 +0000

man-db (2.9.3-2) unstable; urgency=medium

  * AppArmor:
    - Silently deny dac_override and dac_read_search capabilities (closes:
      #962006).
    - Allow troff to write to /tmp/groff* (closes: #949320).

 -- Colin Watson <cjwatson@debian.org>  Sun, 05 Jul 2020 10:06:35 +0100

man-db (2.9.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Update signature suffix to .asc rather than .sig.
  * Depend/build-depend on bsdextrautils | bsdmainutils (<< 12.1.1~)
    (closes: #963483).

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Jun 2020 22:01:21 +0100

man-db (2.9.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 2.3.10-40.
  * Bump debhelper from deprecated 9 to 12.
  * Drop unnecessary dependency on dh-autoreconf.
  * Drop unnecessary dh arguments: --parallel
  * Rely on pre-initialized dpkg-architecture variables.

  [ Colin Watson ]
  * New upstream release:
    - man/man1/*: Fix misuse of two-fonts macros (closes: #955185).
    - man/man8/*: Fix misuse of two-fonts macros (closes: #955187).
    - Update German manual page translation (closes: #955320).

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Jun 2020 18:17:41 +0100

man-db (2.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 25 Feb 2020 17:13:45 +0000

man-db (2.9.0-2) unstable; urgency=medium

  * AppArmor: Allow groff to read /etc/papersize (thanks, Bruce Momjian;
    closes: #945909).

 -- Colin Watson <cjwatson@debian.org>  Thu, 12 Dec 2019 00:22:16 +0000

man-db (2.9.0-1) unstable; urgency=medium

  * New upstream release:
    - Remove stray words from man(1) (closes: #939599).
    - man(1): Minor typographic changes (closes: #892230).
    - apropos(1): Minor typographic changes (closes: #892421).
    - manpath(1): Correct some typographic mistakes (closes: #927452).
    - Remove confusing use of "on-line" (closes: #774402).
    - Improve documentation of MANROFFOPT (closes: #914938).
    - Suggest "man man" if run with no arguments (closes: #869798).
    - man(1): Explain interactions between -w/-W and -a (closes: #803712).
    - Make some debugging output less verbose (closes: #863920).
    - man: Accept "page(section)" form on command line (closes: #677350).
    - Add a new man-recode program (closes: #933576).
  * Avoid the confusing term "on-line" in the package description (closes:
    #774402).

 -- Colin Watson <cjwatson@debian.org>  Wed, 23 Oct 2019 12:52:11 +0100

man-db (2.8.7-3) unstable; urgency=medium

  * Stop trying to get dh_installman to use the just-built version of man.
    There are too many reasons this can fail, and it's of marginal utility
    (dh_installman only uses man for recoding, which is pretty stable).
  * Update path to Gnulib files in debian/copyright.
  * Add a debian/upstream/metadata file.
  * Re-export debian/upstream/signing-key.asc without extra signatures.
  * Override shlib-calls-exit Lintian tag for libman-*.so, since this is
    intentional and OK.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Aug 2019 11:39:08 +0100

man-db (2.8.7-2) unstable; urgency=medium

  * Adjust the way we get dh_installman to use the just-built version of man
    to avoid needing to propagate LD_LIBRARY_PATH all the way through
    dh_installman.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Aug 2019 06:41:03 +0100

man-db (2.8.7-1) unstable; urgency=medium

  * New upstream release:
    - sandbox: Set default action to EPERM, not TRAP (closes: #902257).

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 Aug 2019 16:30:44 +0100

man-db (2.8.6.1-2) unstable; urgency=medium

  * AppArmor: Allow man_filter to write to cat pages (closes: #926450).
  * Stop pointing to undocumented(7), since it was removed from the manpages
    package some time ago (closes: #32019, #934937; LP: #1792583).

 -- Colin Watson <cjwatson@debian.org>  Fri, 23 Aug 2019 14:44:55 +0100

man-db (2.8.6.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix missing memory copies in ult_src that caused segfaults in mandb
      (closes: #933802, LP: #1838871).

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 Aug 2019 10:52:30 +0100

man-db (2.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Use debhelper-compat instead of debian/compat.

 -- Colin Watson <cjwatson@debian.org>  Sat, 03 Aug 2019 12:31:40 +0100

man-db (2.8.5-2) unstable; urgency=medium

  * Remove redundant condition in cron.daily script (closes: #918967).
  * Update Homepage and debian/copyright Source to use HTTPS.
  * Add --quiet to systemd mandb invocation (closes: #920628).

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Feb 2019 12:14:20 +0000

man-db (2.8.5-1) unstable; urgency=medium

  * New upstream release.
    - Fix handling of \- in RHS of NAME section (closes: #913351).
    - Fix incorrect error message (closes: #913721).
    - Ship a systemd timer for daily DB maintenance (closes: #858022).

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 Jan 2019 09:53:43 +0000

man-db (2.8.4-3) unstable; urgency=medium

  * Remove dh_builddeb override to use xz compression; this has been the
    default since dpkg 1.17.0.
  * Stop building with V=1; debhelper configures with --disable-silent-rules
    as of 9.20150501.
  * AppArmor:
    - Allow man to talk to Unix sockets, so that it can spawn X-based
      subprocesses.
    - Fix syntax to allow sending signals to related profiles.
    - Allow sending signals to the same profile.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 Nov 2018 14:01:42 +0000

man-db (2.8.4-2) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Adapt apparmor profile for usrmerge. LP: #1784023

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Jul 2018 14:41:37 +0100

man-db (2.8.4-1) unstable; urgency=medium

  * New upstream release:
    - Check for mandb_nfmt and mandb_tfmt in the manual page hierarchy as
      documented, not in the current directory (closes: #901007).
  * Remove long-obsolete Conflicts on suidmanager.
  * Adjust git-dpm tagging configuration.
  * Explicitly declare "Rules-Requires-Root: binary-targets" (due to
    installing /var/cache/man with ownership man:man).
  * Remove syntax-error-in-debian-changelog Lintian override;
    Parse::DebianChangelog seems to have got smarter about detecting old
    changelog formats since I added that.

 -- Colin Watson <cjwatson@debian.org>  Fri, 27 Jul 2018 12:31:12 +0100

man-db (2.8.3-2) unstable; urgency=medium

  * AppArmor: Allow man_filter to read from anywhere, since there are no
    real restrictions on where manual page files may be, and the worst this
    can do is feed data to the invoking man process.
  * AppArmor: Allow man and its related profiles to exchange signals.

 -- Colin Watson <cjwatson@debian.org>  Sat, 07 Apr 2018 12:15:33 +0100

man-db (2.8.3-1) unstable; urgency=medium

  * New upstream release:
    - sandbox: Allow kill and tgkill unconditionally (closes: #892309).
    - sandbox: Allow sibling architectures on x86/x86_64/x32 (closes:
      #891267).
    - man: Only change directory in child processes (closes: #894792).
  * Switch debian/watch to HTTPS.

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Apr 2018 13:09:43 +0100

man-db (2.8.2-1) unstable; urgency=medium

  * New upstream release:
    - sandbox: Work around snoopy (closes: #890861).
    - sandbox: Handle qemu-user returning EFAULT (closes: #891109).
  * Use HTTPS form of copyright-format URL.

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Feb 2018 15:04:14 +0000

man-db (2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Use stacked profiles for subprocesses so that AppArmor realises that
    they constitute a reduction in privileges and allows the transition even
    after a seccomp filter has been installed.
  * Build with seccomp again, now that it works in conjunction with
    AppArmor.
  * Breaks/Replaces manpages-tr (<< 1.0.5.1-3) (closes: #889805).

 -- Colin Watson <cjwatson@debian.org>  Fri, 09 Feb 2018 13:32:41 +0000

man-db (2.8.0-2) unstable; urgency=medium

  * Build without seccomp for now, until I work out how to make it play well
    with AppArmor on recent kernels (closes: #889608, #889626).

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 Feb 2018 10:09:57 +0000

man-db (2.8.0-1) unstable; urgency=medium

  [ Colin Watson ]
  * New upstream release:
    - If man adds prefixes to a page to handle such things as disabling
      hyphenation, then take account of those when looking for a
      preprocessor line at the start of the page (closes: #867857).
    - Confine most subprocesses that handle untrusted data using seccomp
      (closes: #877199).
  * Move VCS to salsa.debian.org.

  [ Benjamin Drung ]
  * Fix malformed debian/changelog entry (closes: #886649).

 -- Colin Watson <cjwatson@debian.org>  Sun, 04 Feb 2018 17:25:58 +0000

man-db (2.7.6.1-4) unstable; urgency=medium

  * Add missing AppArmor lock access.
  * Recent kernels revalidate open FDs, and there are often some still open
    on TTYs.  Temporarily add <abstractions/consoles> to AppArmor groff and
    filter child profiles until we have a chance to teach man to close
    irrelevant open FDs before execve (closes: #882405).

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Nov 2017 12:41:37 +0000

man-db (2.7.6.1-3) unstable; urgency=medium

  * Add a simple AppArmor profile to confine groff-related programs,
    decompressors, and other filters when run from man.

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 Nov 2017 11:46:44 +0000

man-db (2.7.6.1-2) unstable; urgency=medium

  * Fix locale macro loading for Chinese.

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Dec 2016 13:10:25 +0000

man-db (2.7.6.1-1) unstable; urgency=medium

  * New upstream release:
    - Don't chmod CACHEDIR.TAG if it doesn't exist (closes: #847810).

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Dec 2016 12:51:57 +0000

man-db (2.7.6-1) unstable; urgency=medium

  * New upstream release:
    - Note that "man -K" searches page source (closes: #813665).
    - SECURITY: Eliminate dangerous setgid-root directories.
    - man now understands the <page>.<section> form on its command line, so
      for example 'man chmod.2' is now the same as 'man 2 chmod'.
  * Adjust various bits of packaging to account for changed ownership and
    permissions of /usr/bin/man, /usr/bin/mandb, and /var/cache/man.
  * CVE-2015-1336: Remove recursive chown of /var/cache/man from cron.daily
    job, which introduced a vulnerability and is no longer needed now that
    man-db is more careful about ensuring appropriate ownership of its cache
    files (closes: #840357, LP: #1482786).

 -- Colin Watson <cjwatson@debian.org>  Sun, 11 Dec 2016 16:27:19 +0000

man-db (2.7.5-2) unstable; urgency=medium

  * Update Vcs-Browser URL for alioth cgit.
  * Use HTTPS for Vcs-Git URL.
  * Display pages from section 3am after section 2 (closes: #838759).
  * Policy version 3.9.8: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Sun, 20 Nov 2016 19:52:51 +0000

man-db (2.7.5-1) unstable; urgency=medium

  * New upstream release:
    - Adjust line number when inserting extra roff input (closes: #789219).
    - Disable roff input insertion with --recode (closes: #751795).
    - Build text manual with LC_ALL=C, to help reproducible builds.

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Nov 2015 15:56:41 +0000

man-db (2.7.4-1) unstable; urgency=medium

  * New upstream release:
    - man: Exit 3 if formatter exits non-zero (closes: #801261).
    - man: Honour MANWIDTH in conjunction with -Z (closes: #801241).

 -- Colin Watson <cjwatson@debian.org>  Thu, 08 Oct 2015 02:42:14 +0100

man-db (2.7.3-1) unstable; urgency=medium

  * New upstream release:
    - Rewrite CACHEDIR.TAG and databases if they cannot be read (closes:
      #797019).
    - Squeeze blank lines internally instead of pager -s (closes: #796584).
    - Restore the ability to use 'man -a' noninteractively (closes:
      #798094).

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Sep 2015 16:56:42 +0100

man-db (2.7.2-1) unstable; urgency=medium

  * New upstream release:
    - Stop storing the database handle in a global variable (LP: #1304261).

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 Aug 2015 17:30:19 +0100

man-db (2.7.1-2) experimental; urgency=medium

  * Drop real IDs before effective IDs, for non-Linux compatibility (closes:
    #772597).

 -- Colin Watson <cjwatson@debian.org>  Wed, 31 Dec 2014 16:59:31 +0000

man-db (2.7.1-1) experimental; urgency=medium

  * New upstream release:
    - Make man run correctly from a deleted directory (closes: #764384).
    - Send 'man -a' prompts to /dev/tty (closes: #766113).

 -- Colin Watson <cjwatson@debian.org>  Fri, 07 Nov 2014 16:47:46 +0000

man-db (2.7.0.2-5) unstable; urgency=medium

  * Drop real IDs before effective IDs, for non-Linux compatibility (closes:
    #772597).

 -- Colin Watson <cjwatson@debian.org>  Wed, 31 Dec 2014 16:40:13 +0000

man-db (2.7.0.2-4) unstable; urgency=medium

  * Backport Danish and French translation updates from upstream (closes:
    #771367).

 -- Colin Watson <cjwatson@debian.org>  Fri, 05 Dec 2014 16:23:07 +0000

man-db (2.7.0.2-3) unstable; urgency=medium

  * Policy version 3.9.6: no changes required.
  * Assume that dpkg-statoverride exists and drop the test for an obsolete
    compatibility path.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Nov 2014 20:26:39 +0000

man-db (2.7.0.2-2) unstable; urgency=medium

  * Remove /var/lib/man-db/auto-update on purge.

 -- Colin Watson <cjwatson@debian.org>  Fri, 10 Oct 2014 14:09:07 +0100

man-db (2.7.0.2-1) unstable; urgency=medium

  * New upstream release:
    - Be more careful to avoid using or double-closing closed database
      handles.  Fixes test suite failures on some systems.
    - Patch the fdutimens function imported from Gnulib to work around a
      libc bug in GNU/Hurd.
  * Stop removing /usr/bin/man and /usr/bin/mandb on prerm remove, as those
    symlinks are shipped in the package nowadays (thanks, Sven Joachim;
    closes: #762704).

 -- Colin Watson <cjwatson@debian.org>  Sun, 28 Sep 2014 00:37:40 +0100

man-db (2.7.0.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix test suite in the case where the system supports high-precision
      timestamps but the file system containing the build directory does
      not.
  * Ensure that /var/cache/man exists when triggered (LP: #1351795).

 -- Colin Watson <cjwatson@debian.org>  Wed, 24 Sep 2014 02:23:08 +0100

man-db (2.7.0-1) unstable; urgency=medium

  * New upstream release:
    - Add systemd tmpfiles snippet to clean up old cat files after a week.
    - Run "col -b -p -x" over cat pages if possible before parsing them
      (closes: #751934).
    - Move database mtime out of the database into file metadata, making the
      database reproducible between installations (closes: #760895).
    - Use high-precision timestamps.
    - Order files by first physical extent before reading (closes: #574410).
    - Prioritise COLUMNS above TIOCGWINSZ (LP: #1315282).
    - Formatting improvements to man(1) (closes: #726266).
    - Don't use pointed-to name as title for database-located pages (closes:
      #709405).
    - Move zsoelim to /usr/lib/man-db/.
  * Remove unnecessary entries from debian/dirs.
  * Cache the value of man-db/auto-update in the file system, so that we
    don't have to talk to debconf when processing triggers (closes:
    #579075).
  * Add MIME handlers (thanks, Kevin Ryde; closes: #725157).
  * Override the long-standing Lintian warning for non-standard-dir-perm on
    /var/cache/man.
  * Adjust cron.daily to skip cat file cleanup if running under systemd,
    since the upstream-provided tmpfiles snippet now handles that.
  * Rebuild the database on upgrade to this version, since the format has
    changed.

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Sep 2014 19:43:40 +0100

man-db (2.6.7.1-1) unstable; urgency=medium

  * Add OpenPGP signature checking configuration to watch file.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 Apr 2014 03:43:39 +0100

man-db (2.6.6-1) unstable; urgency=medium

  * New upstream release:
    - Reimplement 'apropos --and' in a way that works with the optimisations
      introduced in 2.6.2 (closes: #678670).
    - Clarify that whatis displays one-line descriptions, rather than e.g.
      the contents of DESCRIPTION sections (closes: #713992).
    - Downgrade EAGAIN/EWOULDBLOCK errors from attempts to open a database
      read-write to debug messages (closes: #684235).
  * Switch to git (thanks to reposurgeon for helping with the tricky
    stitching involved); adjust Vcs-* fields.
  * Policy version 3.9.5: no changes required.
  * Set VERBOSE=1 when running tests so that Automake will print test logs
    on failure.

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 Jan 2014 15:49:44 +0000

man-db (2.6.5-3) unstable; urgency=low

  * Drop obsolete dpkg version check in cron jobs; the version in question
    predates oldstable, and man-db pre-depends on a newer version anyway
    (closes: #731687).
  * Silence errors caused by cron.daily racing with mandb (closes: #734063).

 -- Colin Watson <cjwatson@debian.org>  Fri, 03 Jan 2014 12:45:10 +0000

man-db (2.6.5-2) unstable; urgency=low

  * Backport from trunk:
    - Attempt fallback locales even if /usr/share/i18n/SUPPORTED exists.
      (It may exist but none of the UTF-8 locales mentioned it in may be
      present; nevertheless, C.UTF-8 may be available.)

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 Jun 2013 06:18:32 +0100

man-db (2.6.5-1) unstable; urgency=low

  * New upstream release:
    - man's --warnings option works again on systems with versions of groff
      that support it (broken in 2.6.4).  This broke Lintian's test suite.

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Jun 2013 11:59:34 +0100

man-db (2.6.4-1) unstable; urgency=low

  * New upstream release:
    - Document default section list in manual pages (closes: #611007).
    - Quieten most warnings from compiling Gnulib (closes: #668429).
    - The MANLESS environment variable is now treated as if it were a
      default value for the -r option to man: occurrences of the text
      "$MAN_PN" are expanded, and explicitly using the -r option overrides
      the default (closes: #690831).
  * Use 'set -e' rather than '#! /bin/sh -e' in maintainer scripts.
  * Remove maintainer script support for direct upgrades from pre-etch
    (three releases before current stable).
  * Breaks/Replaces manpages-zh (<< 1.5.2-1.1); man-db now ships zh_CN
    translations formerly included there.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Jun 2013 11:34:02 +0100

man-db (2.6.3-7) unstable; urgency=low

  * Build-depend on debhelper (>= 9~) directly rather than requiring a
    Lintian override for use of 8.9.0.
  * Temporarily drop -Werror from AM_INIT_AUTOMAKE options and backport
    patches to handle the Automake parallel test harness, working around
    warnings caused by the version of Gnulib currently in use here (closes:
    #710309).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jun 2013 00:43:15 +0100

man-db (2.6.3-6) unstable; urgency=low

  * Switch triggers to interest-noawait, since they are non-essential for
    the triggering packages (closes: #707129).

 -- Colin Watson <cjwatson@debian.org>  Tue, 07 May 2013 20:49:47 +0100

man-db (2.6.3-5) unstable; urgency=low

  * Fix trigger handling following cleanup of postinst output.

 -- Colin Watson <cjwatson@debian.org>  Tue, 07 May 2013 13:11:47 +0100

man-db (2.6.3-4) unstable; urgency=low

  * Make postinst output clearer about whether the database is being rebuilt
    (e.g. due to man-db/auto-update=false).
  * Drop handling of option string escaping in less 456, since the
    incompatible change has been reverted upstream (thanks, Geoffrey Thomas;
    closes: #706916).  I've chosen to drop the Breaks entirely as it's a bit
    too heavyweight for a relatively minor display bug.

 -- Colin Watson <cjwatson@debian.org>  Tue, 07 May 2013 09:45:40 +0100

man-db (2.6.3-3) unstable; urgency=low

  * Support parallel builds.
  * Handle incompatible change to option string escaping in less 456
    (closes: #695459).

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 Dec 2012 12:18:23 +0000

man-db (2.6.3-2) unstable; urgency=low

  * Use xz compression for binary packages.
  * Use dh-autoreconf.
  * Link with -Wl,--enable-new-dtags, so that LD_LIBRARY_PATH can be used to
    override our private library directory.

 -- Colin Watson <cjwatson@debian.org>  Thu, 22 Nov 2012 11:33:34 +0000

man-db (2.6.3-1) unstable; urgency=low

  * New upstream release.
  * Build with V=1 so that tools such as blhc can scan more effectively for
    missing build flags.

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Sep 2012 00:04:24 +0100

man-db (2.6.2-1) unstable; urgency=low

  * New upstream release:
    - Optimise apropos when given many arguments (LP: #927028).
    - apropos prints an error message and returns non-zero when it finds no
      matches (closes: #672661).
    - Avoid fatal errors when opening a 64-bit GDBM database from a 32-bit
      process (LP: #1001189).
  * Configure with --with-xz=xz --with-lzip=lzip.
  * Adjust debian/watch to track .tar.xz releases.
  * Convert debian/copyright to copyright-format 1.0.
  * Override hardening-no-fortify-functions Lintian warning for
    /usr/bin/manpath, as a false positive.

 -- Colin Watson <cjwatson@debian.org>  Mon, 18 Jun 2012 22:56:56 +0100

man-db (2.6.1-2) unstable; urgency=low

  * Remove unused build-dependency on gettext again.

 -- Colin Watson <cjwatson@debian.org>  Sat, 31 Mar 2012 01:17:50 +0100

man-db (2.6.1-1) unstable; urgency=low

  * New upstream release:
    - Translated manual pages are no longer displayed starting with a
      spurious blank line (closes: #628639).
    - Create a cache directory tag, per http://www.brynosaurus.com/cachedir/
      (closes: #637046).
    - Alphabetise "SEE ALSO" references and remove trailing full stops, per
      man-pages(7) (closes: #651482).
    - Update German manual page translations (closes: #494066, #596104,
      #624096).
  * Install FAQ.
  * Update debian/copyright.

 -- Colin Watson <cjwatson@debian.org>  Tue, 14 Feb 2012 13:53:58 +0000

man-db (2.6.0.2-3) unstable; urgency=low

  * Discard stderr from dpkg-query in cron jobs (LP: #783903).
  * Make man-db Multi-Arch: foreign.
  * Upgrade to debhelper v9 and its new arrangements for honouring
    dpkg-buildflags output.

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Nov 2011 01:33:33 +0000

man-db (2.6.0.2-2) unstable; urgency=low

  * Add debconf translations:
    - Serbian (thanks, Zlatan Todoric; closes: #635062).
    - Serbian (Latin) (thanks, Zlatan Todoric; closes: #635063).

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Jul 2011 11:27:50 +0100

man-db (2.6.0.2-1) unstable; urgency=low

  * New upstream release:
    - Fix a segfault when scanning links to empty pages (closes: #622104).
    - Once we've seen at least one record in a page's NAME section, ignore
      any further records that don't include a whatis description, as they
      tend to be noise.
  * Remove unnecessary .la files (closes: #622443).

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Apr 2011 12:27:13 +0100

man-db (2.6.0.1-1) unstable; urgency=low

  * New upstream release, fixing test failures in 2.6.0 (closes: #621867):
    - Ensure that the target of a symlink or .so chain is always recorded as
      a real page.
    - Read a user-specified configuration file even if HOME is unset.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Apr 2011 23:09:47 +0100

man-db (2.6.0-1) unstable; urgency=low

  * New upstream release:
    - Search the full manpath when expanding .so directives in manual pages.
      As part of this, '.so name.1' should now work as well as '.so
      man1/name.1' (closes: #503472, LP: #411534).
    - Handle roff named glyphs and perldoc strings in NAME sections (closes:
      #601025).
    - Don't start a pager if stdout is not a tty.
    - Allow passing multiple sections to whatis and apropos (closes:
      #571285).
    - Provide byte positions in manconv errors (closes: #562789).
    - Make mandb error output neater when stderr is not a tty.
    - Fix failure to display manual pages in some encodings when installed
      setuid.
    - Don't ignore SIGPIPE while forking iconv (closes: #597756).
    - Remove obsolete subdirectories of cat directories (closes: #558804).
    - If mandb sees that A is a symlink to B, it should never store a whatis
      reference for B (closes: #204249).
    - Print commas in roman rather than bold (thanks, David Prévot; closes:
      #600002).
    - Consider .PD requests as paragraph breaks (closes: #611012).
    - Reset SIGPIPE to SIG_DFL on startup, to avoid noisy output in the
      event that mandb was started from a context where SIGPIPE was ignored.
    - SECTION entries in a user configuration file now override those in the
      system configuration file, rather than appending to them.
    - If the user asked for an explicit section, sort exact matches first.
    - Rewrite all remaining subprocess handling in terms of libpipeline,
      especially some crash-prone code in catman (LP: #27738).
    - The default less prompt now includes "(press h for help or q to quit)"
      to help novices find their way around
      (http://brainstorm.ubuntu.com/idea/25975).
    - Fix a segfault when 'man -K' tries to display certain pages.
    - Fix a segfault in some situations when processes are killed by SIGHUP,
      SIGINT, or SIGTERM (LP: #218336).
  * Avoid unnecessary metadata writes to /var/cache/man when doing recursive
    chown (thanks, Iustin Pop; closes: #619726).

 -- Colin Watson <cjwatson@debian.org>  Sat, 09 Apr 2011 17:59:40 +0100

man-db (2.5.9-4) unstable; urgency=low

  * Add debconf translations:
    - Slovak (thanks, Slavko; closes: #609347).
  * Fix test failure with groff 1.21.
  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Feb 2011 10:35:20 +0000

man-db (2.5.9-3) experimental; urgency=low

  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.
  * Avoid assertion if no path elements with manpaths were found (closes:
    #608490).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jan 2011 01:01:48 +0000

man-db (2.5.9-2) experimental; urgency=low

  * Fix build with 'ld --no-copy-dt-needed-entries'.

 -- Colin Watson <cjwatson@debian.org>  Thu, 18 Nov 2010 14:00:08 +0000

man-db (2.5.9-1) experimental; urgency=low

  * New upstream release:
    - Fix test failures on some systems.  A change made in 2.5.8 was overly
      sensitive to directory ordering.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Nov 2010 12:00:41 +0000

man-db (2.5.8-2) experimental; urgency=low

  * Build-depend on pkg-config.

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Nov 2010 13:55:02 +0000

man-db (2.5.8-1) experimental; urgency=low

  * New upstream release:
    - Explicitly set groff's hyphenation language, to ensure that it only
      hyphenates languages it knows about (closes: #570247).
    - Add support for XZ-compressed manual pages, thanks to Darren Salt
      (closes: #572233).
    - Try underscore-separated subpages as well as hyphen-separated ones,
      thanks to Tanguy Ortolo (closes: #574641).
    - Build libman and libmandb as shared libraries, considerably reducing
      executable size.
    - Warnings about unrecognised locales are now suppressed if the
      DPKG_RUNNING_VERSION environment variable is set (i.e. man-db is
      running within a Debian package's maintainer script), since the system
      locales are often out of sync with the C library in that context.
      Thanks to the Debian Perl maintainers for the idea.
    - In catman mode, never try to guess whether a page argument is a
      section, as it's too easy to get this wrong (LP: #664211).
    - mandb should no longer repeatedly rescan manual page hierarchies when
      a whatis entry turns into a broken link.
  * Use a separate build directory, eliminating the requirement to preserve
    some files by hand.
  * Build with external libpipeline.

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Nov 2010 00:03:58 +0000

man-db (2.5.7-6) unstable; urgency=low

  * Move po/fr.gmo aside during build so that it gets regenerated based on
    translation-fr.patch, and build-depend directly on gettext for this
    (closes: #598066).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Oct 2010 17:59:18 +0100

man-db (2.5.7-5) unstable; urgency=low

  * Use CFLAGS and LDFLAGS from hardening-includes, since man and mandb are
    optionally setuid man.
  * Update French translation from Translation Project (thanks, David
    Prévot; closes: #598621).
  * Make sure that man/po4a/po/* are kept unchanged during a
    patch/build/clean cycle.
  * Update French documentation translation from Translation Project
    (thanks, David Prévot; closes: #598066).

 -- Colin Watson <cjwatson@debian.org>  Tue, 05 Oct 2010 14:44:06 +0100

man-db (2.5.7-4) unstable; urgency=low

  * Backport from trunk:
    - Fix a regression introduced in 2.5.7 when running catman in some
      locales, most notably in the C locale: while converting the output to
      UTF-8, iconv was run after the compressor rather than before it
      (closes: #593350, LP: #615045).

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Aug 2010 14:54:04 +0100

man-db (2.5.7-3) unstable; urgency=low

  * Remove unused build-dependency on gettext.
  * Check for VxID as well as envID in /proc/self/status (closes: #579551).

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Apr 2010 18:06:49 +0100

man-db (2.5.7-2) unstable; urgency=low

  * Add a watch file.
  * Backport from trunk:
    - Fix assertion failure on 'man -l' with an uncompressed page and
      prefixed input (no-hyphenation, no-justification, or a non-English
      page).

 -- Colin Watson <cjwatson@debian.org>  Tue, 02 Mar 2010 10:19:25 +0000

man-db (2.5.7-1) unstable; urgency=low

  * New upstream release:
    - Make man(1) refer to the "Warnings" node in 'info groff' for a list of
      available warning names (closes: #545805).
    - Don't run tests if cross-compiling.
    - Add option to disable justification (closes: #440047).
    - Do what the user probably means when the full path to an executable is
      given as an argument (closes: #505465).
    - Search man<sec><ext> directories in the GNU layout (closes: #519807).
    - Prefer getting a page from the best manual section over getting a page
      in the correct language; I have my reservations about this, but it
      seems to be what people are requesting (closes: #519547).
    - 'man -f' and 'man -k' now pass through any -s option to apropos/whatis
      respectively.
    - All programs now support a MAN_DEBUG environment variable which can be
      used in place of the -d/--debug option. This is useful in some
      situations where a program is being called deep in a process tree.
    - Fix off-by-one error when write returns EAGAIN (thanks, Samuel
      Thibault; closes: #564818).
    - "%s: nothing appropriate." is an error; write it to stderr, not stdout
      (closes: #565255).
    - Don't bother printing error messages for SIGINT and SIGQUIT, since
      these correspond to explicit user actions (closes: #568000).
    - Fix sense of directory check while decompressing (closes: #537434).
    - Always save cat pages in UTF-8 (closes: #446741).
  * Convert to source format 3.0 (quilt).

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Feb 2010 00:56:08 +0000

man-db (2.5.6-5) unstable; urgency=low

  * Remove Ubuntu buildd hack now that the Ubuntu buildd chroots preseed
    man-db/auto-update=false (thanks, LaMont Jones).
  * Backport from trunk:
    - Handle iconv errors when attempting to convert the last input encoding
      to UTF-8 (closes: #562503).
  * Unless we're cross-compiling, get dh_installman to use the version of
    man we just built.

 -- Colin Watson <cjwatson@debian.org>  Fri, 01 Jan 2010 13:27:06 +0000

man-db (2.5.6-4) unstable; urgency=low

  * Backport from trunk:
    - If the locale encoding is ASCII, then use the ascii device even if
      preconv is available; it will do a better job than producing UTF-8
      output and then recoding that to ASCII (closes: #547695).
    - Include <unistd.h> in src/encodings.c for dup and STDIN_FILENO
      (closes: #553623).
    - When invoking col, ensure that LC_CTYPE is set to an appropriate
      locale for the selected character set (closes: #555331).
  * Add man-db/auto-update debconf template, which may be preseeded to false
    to disable rebuilding the database when man-db is triggered (closes:
    #554914).

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Nov 2009 11:58:25 +0000

man-db (2.5.6-3) unstable; urgency=low

  * Don't try to change I/O priority in an OpenVZ container (closes:
    #546680). Approach borrowed from virt-what.
  * Backport from trunk:
    - When a source pipeline dies, make sure to drain its output before
      discarding its output file descriptor (closes: #548153).

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Sep 2009 13:38:56 +0100

man-db (2.5.6-2) unstable; urgency=low

  * Don't try to change I/O priority in a vserver (closes: #544999).

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 Sep 2009 23:37:01 +0100

man-db (2.5.6-1) unstable; urgency=low

  * New upstream release:
    - Implement 'man -K', which was the last major remaining missing feature
      when comparing man-db with the man package (closes: #135926, LP:
      #390575).
    - Note that the exact rendering of (e.g.) italic text may vary depending
      on the output device (closes: #516808).
    - Don't create unnecessary database directories (closes: #472919).
    - Explicitly state that -P/$PAGER/$MANPAGER identifies a single command
      with no pipes (closes: #363250).
    - Make whatis/apropos only display any given manual page, or pointers to
      it, once (LP: #27113).
    - Map CP1251 encoding to LESSCHARSET=windows, per less(1) (closes:
      #539690).
    - Loop through semicolon-separated coding tags in the first line of
      manual pages, and convert Emacs coding tags to ones that libiconv
      understands (closes: #496604).
    - Convert text to UTF-8 and then (if necessary) to the target encoding.
      This allows us to distinguish between "text not in input encoding" and
      "characters not representable in output encoding" (closes: #514963).
    - Replace database entries if the mtime of the new data is newer than
      that of the old data, even if the new data represents a symlink rather
      than a regular file (closes: #490582).
    - Increase limit on NAME sections from 2048 bytes to 8192, since some
      pages exceeding the previous limit have been observed in the wild
      (closes: #489907).
    - Cope with some more cases of database corruption (closes: #187750).
    - By default, man will now try to interpret pairs of manual page names
      given on the command line as equivalent to a single manual page name
      containing a hyphen (e.g. 'man foo bar' => foo-bar(1)). This supports
      the common pattern of programs that implement a number of subcommands,
      allowing them to provide manual pages for each that can be accessed
      using similar syntax as would be used to invoke the subcommands
      themselves.
  * Upgrade to debhelper v7.
  * Reverse the direction of the man and mandb symlinks, and migrate any
    statoverrides referring to the old locations in /usr/lib/man-db/.
  * Run cron jobs at idle I/O priority if dpkg 1.15.0 or newer is installed
    (closes: #448400).
  * Policy version 3.8.2: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Aug 2009 11:38:46 +0100

man-db (2.5.5-3) unstable; urgency=low

  * Use dh_lintian.
  * Fix locale_macros groff version test not to think that 1.20.1 >= 1.20.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Jul 2009 11:00:03 +0100

man-db (2.5.5-2) unstable; urgency=low

  * Run the (as yet rather small) test suite on build.
  * Build-depend on po4a (closes: #530897).

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 May 2009 23:24:33 +0100

man-db (2.5.5-1) unstable; urgency=low

  * New upstream release:
    - Fix an uninitialised variable when sorting manual page candidates that
      could lead to excessive memory allocation and possible crashes
      (thanks, Dustin Marquess; closes: #519647).
    - man(1): Fix missing backslash in -r default (thanks, Will Day; closes:
      #519162).

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Mar 2009 23:32:45 +0000

man-db (2.5.4-2) unstable; urgency=low

  * Backport from trunk:
    - Fix handling of pages that declare a non-default encoding in their
      preprocessor lines. Thanks to Hugo Herbelin for some of the ideas here
      (closes: #519095).

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Mar 2009 23:51:44 +0000

man-db (2.5.4-1) unstable; urgency=low

  * New upstream release.
    - Exit as soon as possible if database writes return ENOSPC (closes:
      #167159).
    - Make it possible to override man's default of discarding stderr when
      stdout is a terminal (closes: #480996).
    - Reorganise lexgrog to stop on any unrecognised roff request, rather
      than continuing and often littering the database with garbage (closes:
      #271402).
    - Make handling of terminal widths for cat pages configurable (closes:
      #121997).
    - Improve sorting and de-duplication of manual page candidates (closes:
      #389762, #496172).
    - Consider SO_MAN equivalent to ULT_MAN for the purposes of sorting
      candidate pages for display (closes: #384301).
    - Add regular expression and shell wildcard search facilities to man
      (closes: #461319).
    - Add option to disable hyphenation (closes: #166701).
    - Line length is a property of output, not input, so only check whether
      standard output is a terminal, not also standard input (closes:
      #512233).
    - Partially rewrite building of manpath according to locale. The
      previous code was completely wrong: as well as handling duplicates
      rather oddly, it effectively handled LANGUAGE in reverse order
      (closes: #516133).

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Feb 2009 02:41:53 +0000

man-db (2.5.3-3) experimental; urgency=low

  * Backport from trunk:
    - Update manual page search order to permit FHS-compliant installation
      of packages in /opt. Reported by Matt Domsch.

 -- Colin Watson <cjwatson@debian.org>  Sat, 24 Jan 2009 11:37:52 +0000

man-db (2.5.3-2) experimental; urgency=low

  * Explicitly configure --with-lzma=lzma.
  * Increase versioned dependency on groff-base to (>= 1.18.1.1-15) for a
    working -w option in nroff (closes: #494287).

 -- Colin Watson <cjwatson@debian.org>  Sat, 27 Dec 2008 12:23:21 +0000

man-db (2.5.3-1) experimental; urgency=low

  * New upstream release.
    - Cleaned up a number of possible crashes, memory leaks, and missing
      error checks found by the Coverity Scan project.
    - The LANGUAGE environment variable is now tokenised properly, rather
      than only taking the first two characters of each element.
    - man now correctly propagates the exit code of whatis or apropos when
      called with the -f or -k option respectively (closes: #477305).
    - Fix several manual page synopsis problems (thanks, Yuri Kozlov;
      closes: #480678, #481226, #482424, #482791, #482792, #482810, #483589,
      #483862, #483951).
    - Reduce the number of warnings emitted when using an unrecognised
      locale (closes: #494989).
    - manconv and zsoelim are now called internally rather than by executing
      external programs, to improve performance.
    - Manual pages may now be compressed with LZMA (although this is
      probably only worth it for very large pages).
    - Duplicate manual page hierarchies due to symlinks (e.g. /usr/man ->
      /usr/share/man) are detected and removed from the search order.
    - A locale modifier (e.g. @latin) in a directory name must now match the
      locale if the former is set, in addition to the language and
      territory.
    - Bare .so includes (e.g. ".so foo.1" rather than ".so man1/foo.1") now
      work, although only within the same manual page hierarchy for now
      (partially fixes #503472).
  * Add Homepage field.
  * Policy version 3.8.0: no changes required.
  * Pass CFLAGS and LDFLAGS to configure rather than make so that we don't
    have to keep up with the set of warnings that configure decides to
    enable.

 -- Colin Watson <cjwatson@debian.org>  Mon, 17 Nov 2008 13:20:59 +0000

man-db (2.5.2-3) unstable; urgency=low

  * Backport from trunk:
    - src/manconv.c (try_iconv): Remove premature optimisation that
      sometimes caused us to write incomplete output.
    - src/encodings.c (add_manconv): Always use manconv even if iconv could
      theoretically do the job, as manconv has slightly more permissive
      behaviour that is generally more suitable for converting manual page
      source (closes: #498082).

 -- Colin Watson <cjwatson@debian.org>  Sun, 07 Sep 2008 16:31:24 +0100

man-db (2.5.2-2) unstable; urgency=low

  * Update DEB_BUILD_OPTIONS parsing code from policy 3.8.0.
  * Skip building the database on buildds (just Ubuntu buildds for now,
    since Debian buildds aren't detectable; see the comment in the postinst
    for more detail).

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Jul 2008 21:39:42 +0100

man-db (2.5.2-1) unstable; urgency=low

  * New upstream release.
    - Make /usr/local/share/man mandatory rather than /usr/local/man
      (thanks, Reuben Thomas; closes: #463892).
    - Whatis parsing stops at .ie or .if conditionals (closes: #467444).
    - In the CJK UTF-8 special case, check the canonicalised encoding in
      order that locale specifications such as "zh_CN.utf8" work (closes:
      #467249).
    - Improve 'man -E' to allow overriding the output encoding explicitly,
      rather than implicitly (and unreliably) by changing the *roff device
      (closes: #466396).
    - Don't emit encoding conversion errors in mandb's quiet mode (closes:
      #473862).
    - Clean up some loose ends of Chinese support, adding zh_SG and EUC-TW
      support (thanks, Wu Songhai; closes: #354321).
    - Fix jless support to avoid breaking less (closes: #217519).
  * Backport from trunk:
    - #include <string.h> in lib/cleanup.c for memset.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 May 2008 09:54:21 +0100

man-db (2.5.1-4) unstable; urgency=low

  * Add support for dpkg triggers per
    http://lists.debian.org/debian-dpkg/2007/04/msg00076.html. There's no
    versioned dependency on a trigger-supporting version of dpkg since this
    is an optional feature, but now installation of any package including
    manual pages will trigger a database rebuild at the end of the dpkg run
    once the new dpkg is available (closes: #133917, LP: #50110).
  * Build-depend on debhelper (>= 5.0.59) for triggers installation in
    dh_installdeb.
  * Configuration always needs to be a superset of triggering, so we always
    need to build or update the database on upgrade. After some thought,
    I've decided that we can live with doing this unconditionally in the
    foreground: mandb is faster than it used to be, hardware is faster than
    it used to be, and most builds from scratch will be due to installing
    from scratch when relatively few manual pages are installed. Thus, I've
    ripped out the two debconf questions dealing with this.
  * Move doc-base entry to Viewers (from Applications/Viewers).

 -- Colin Watson <cjwatson@debian.org>  Tue, 29 Apr 2008 17:30:31 +0100

man-db (2.5.1-3) unstable; urgency=low

  * Only replace manpages-de (<< 0.5-4), per Daniel Kobras.
  * Backport from upstream:
    - 'man -H' (without a browser argument) was completely broken in 2.5.1
      and is now fixed.

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2008 12:35:16 +0000

man-db (2.5.1-2) unstable; urgency=low

  * Replaces: manpages-de, which provides out-of-date copies of man-db's
    manual pages for some reason (closes: #463027).

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Jan 2008 23:38:13 +0000

man-db (2.5.1-1) unstable; urgency=low

  * New upstream release.
    - Fix a number of problems with the localisation changes in 2.5.0.
      Notably, manual pages are converted to the proper input encoding for
      troff output as well as nroff output, and manconv's encoding fallback
      mechanism should now actually fall back as intended.
    - Add a 'man --recode' option to output a source manual page converted
      to a specified encoding. This is expected to be used by debhelper to
      install UTF-8 manual pages.
    - Fix "occured" typo in mandb(8) (thanks, Alfie Costa; closes: #446044).
    - Allow only alphanumerics and "-_/:.()" in encoding names (closes:
      #446055).
    - Enable localisation in accessdb, globbing, lexgrog, and zsoelim
      (closes: #448395).
    - Allow passing warning options to groff, either using the environment
      variable MANROFFOPT or the new 'man --warnings' option (thanks, Ivan
      Shmakov; closes: #451187).
    - Add 'man -s' as an alias for 'man -S' (closes: #458499).
    - 'man -l' guesses language based on absolute path to provided file,
      rather than relative (closes: #460014).
    - mandb sets the new file's mode to DBMODE in order to try to defend
      against strange problems with databases being left world-unreadable
      (closes: #430800).
    - Don't ignore SIGINT and SIGQUIT just because a decompression process
      is running (closes: #462276).
    - Update Russian translation (closes: #452417).
    - Add Korean support, requiring groff >= 1.18.1.1-16 (LP: #176896).
  * Policy version 3.7.3:
    - Move doc-base entry to Applications/Viewers.
  * Update debian/copyright. Due to incorporating parts of Gnulib, the
    man-db package as a whole now falls under GPLv3.

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Jan 2008 11:06:57 +0000

man-db (2.5.0-4) unstable; urgency=low

  * Always pass an appropriate --build= option to configure.
  * Add debconf translations:
    - Simplified Chinese (thanks, Ming Hua; closes: #447421).
    - Finnish (thanks, Esko Arajärvi; closes: #448769).
  * Update debconf translations:
    - Dutch (thanks, Bart Cornelis; closes: #447719).

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Nov 2007 20:03:27 +0000

man-db (2.5.0-3) unstable; urgency=low

  * Backport from upstream (closes: #446302):
    - Fix apropos/whatis segfault with explicitly specified locale.

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Oct 2007 10:29:46 +0100

man-db (2.5.0-2) unstable; urgency=low

  * Backport from upstream (closes: #446189):
    - Connect up the decompression pipeline in the display_to_stdout case
      too.

 -- Colin Watson <cjwatson@debian.org>  Thu, 11 Oct 2007 00:55:11 +0100

man-db (2.5.0-1) unstable; urgency=low

  * New upstream release.
    - Remove /usr/X11R6/man from MANDATORY_MANPATH (closes: #413349).
    - man now supports the MANPAGER environment variable, overriding PAGER.
    - Resolve ambiguous error message when asking for a nonexistent manual
      page that might also be a section name (closes: #421481).
    - MANSEC -> MANSECT in German man(1) and catman(8) (closes: #430635).
    - Truncate apropos/whatis output to the terminal width by default
      (closes: #411721).
    - lexgrog now ignores alleged manual page names containing spaces, as
      these usually indicate parsing errors or ill-formed NAME sections and
      they clutter up apropos output badly.
    - Discard stderr from formatting processes when outputting to a pager,
      to avoid visual corruption from any error messages (closes: #372939).
    - Disallow sectional extensions of alphabetic sections, e.g. n and l
      from the default configuration (closes: #391977), and sectional
      extensions beginning with a digit (closes: #421481).
    - Suppress warnings in --quiet mode (closes: #348008, #378428, #411220;
      also closes: #334280 since that suggestion is no longer relevant).
    - If MAN_KEEP_FORMATTING is set in the environment, don't strip
      formatting characters with col (closes: #340673).
    - Implement and use a decompression library. This allows cat pages to be
      saved in the background while the pager is active (closes: #18452) and
      operation with a read-only /tmp (closes: #165499).
    - Add a configuration file flag (NOCACHE) to disable cat page caching
      (closes: #196642).
    - Add output keys to a hashtable, and skip any that have already been
      seen (closes: #259338).
    - Execute system utilities by command name rather than by full path
      (closes: #385651).
    - Add apropos -a/--and option to display only items matching all
      keywords (closes: #259340).
    - Adjust Finnish translation of "No manual entry for %s"
      (closes: #320108).
    - Create and use databases for non-English manual hierarchies
      (closes: #29448, #281811).
    - Improve per-locale directory handling. Directories such as "fr.UTF-8"
      may be used for occasions when it is appropriate to specify the
      character set but not the country, and so a full locale name is
      inconvenient.
    - There is a new "manconv" program which can try multiple possible
      encodings for a file, thus allowing UTF-8 manual pages to be installed
      in any directory even without an explicit encoding declaration.
    - Don't escape the hierarchy path while globbing; it isn't necessary and
      it causes problems for paths containing metacharacters
      (closes: #444187).
  * Use new configure options for external programs rather than hardcoding
    them in configure.ac.
  * Remove code in debian/rules to fiddle manual page paths for Debian,
    since the default of $LL.UTF-8 is now reasonable. (An
    announcement/discussion about what other Debian packages should do will
    be forthcoming shortly.)
  * Build-depend on zlib1g-dev so that we use zlib rather than gzip to
    decompress gzipped manual pages.

 -- Colin Watson <cjwatson@debian.org>  Sun, 07 Oct 2007 20:38:25 +0100

man-db (2.4.4-4) unstable; urgency=low

  * Ignore chown failures, though affected systems are buggy and should be
    fixed (closes: #432029).
  * Apply results of debconf templates and package descriptions review by
    debian-l10n-english (closes: #430837).
  * Update debconf translations:
    - Catalan (thanks, Jordà Polo; closes: #430857).
    - Galician (thanks, Jacobo Tarrio; closes: #430861).
    - Swedish (thanks, Daniel Nylander; closes: #430869).
    - Vietnamese (thanks, Clytie Siddall; closes: #430945).
    - Turkish (thanks, Mehmet TURKER; closes: #430910).
    - Portuguese (thanks, Miguel Figueiredo; closes: #431119).
    - Japanese (thanks, Kenshi Muto; closes: #431183).
    - Italian (thanks, Luca Monducci; closes: #431195).
    - Czech (thanks, Miroslav Kure; closes: #431282).
    - Russian (thanks, Yuri Kozlov; closes: #431290).
    - Spanish (thanks, Carlos Valdivia Yagüe; closes: #431416).
    - German (thanks, Helge Kreutzmann; closes: #431448).
    - French (thanks, Christian Perrier; closes: #431503).
    - Polish (thanks, Wojciech Zareba; closes: #431550).
  * Add debconf translations:
    - Basque (thanks, Piarres Beobide; closes: #430929).
    - Tamil (thanks, Tirumurti Vasudevan; closes: #431063).
  * Override syntax-error-in-debian-changelog lintian warning. I'm not going
    to edit history from over eight years ago just for this.
  * Don't ignore errors from 'make distclean' other than the Makefile not
    existing.
  * Drop source-compatibility with woody.

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Aug 2007 15:36:42 +0100

man-db (2.4.4-3) unstable; urgency=low

  * Backport from upstream (closes: #420843):
    - lib/pipeline.c (pipeline_start): Don't ignore SIGPIPE in subprocesses;
      this has undesirable consequences in some situations.
      (pipeline_wait): Flatten SIGPIPE exit statuses to zero instead.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 May 2007 14:07:54 +0100

man-db (2.4.4-2) unstable; urgency=low

  * Update debconf translations:
    - Catalan (thanks, Jordà Polo; closes: #412304).
  * Backport from upstream:
    - src/lexgrog.l: Break whatis definitions at .IP, .HP, .RS, and .RE
      (thanks to Ori Avtalion for the report).

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Apr 2007 21:18:02 +0100

man-db (2.4.4-1) experimental; urgency=low

  * New upstream release.
    - Drop "Reformatting %s, please wait..." message (LP: #18786,
      closes: #378781).
    - Fix "gditview" typo (closes: #317696).
    - Avoid splitting up a sentence into two translatable pieces
      (closes: #320111).
    - Add Russian translation of NAME (thanks, Yuri Kozlov;
      closes: #338991).
    - Fix mistaken use of .l instead of .I (thanks, Valéry Perrin;
      closes: #349208).
    - Add Danish translation of NAME (thanks, Henning Makholm;
      closes: #353959).
    - Skip "exec" at the start of a command, to make old configuration files
      work (closes: #353959).
    - Ignore SIGPIPE in child processes (closes: #387864).
    - Fail with an error message if argv is a character or block device, as
      we may well hang trying to read from it and it almost certainly isn't
      what the caller intended anyway (closes: #341706).
    - Teach lexgrog front-end about pages with multiple name/description
      pairs (closes: #342834).
    - Fix a slew of memory leaks, including a nasty per-search leak in
      apropos (closes: #368749).
    - Add cross-references to mandb in apropos and whatis documentation
      (thanks, Phil Endecott; closes: #388755).
    - Document man -X option (thanks, Sam Morris; closes: #360112).
    - Don't try to pass -X or -P-g options to eqn, only troff
      (closes: #327772).
    - Stop claiming that -d does not display any manual pages (thanks, Dan
      Jacobson; closes: #340910).
  * Policy version 3.7.2: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Feb 2007 12:45:53 +0000

man-db (2.4.3-6) unstable; urgency=low

  * Add French man pages translation (thanks, Valéry Perrin;
    closes: #348911).

 -- Colin Watson <cjwatson@debian.org>  Mon, 29 Jan 2007 11:03:01 +0000

man-db (2.4.3-5) unstable; urgency=medium

  * CVE-2006-4250: Fix a buffer overrun if using -H and the designated web
    browser (argument to -H or $BROWSER) contains multiple %s expansions.
    Thanks to Jochen Voß for the report.

 -- Colin Watson <cjwatson@debian.org>  Tue, 14 Nov 2006 22:13:27 +0000

man-db (2.4.3-4) unstable; urgency=low

  * Add debconf translations:
    - Galician (thanks, Jacobo Tarrio; closes: #362133).
    - Italian (thanks, Luca Monducci; closes: #345533).
    - Portuguese (thanks, Miguel Figueiredo; closes: #348788).
    - Swedish (thanks, Daniel Nylander; closes: #339078).
  * Use debhelper 4.

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Oct 2006 16:43:27 +0100

man-db (2.4.3-3) unstable; urgency=low

  * Ignore SIGINT and SIGQUIT in the parent while running subprocesses
    (closes: #328982).
  * Improve SIGCHLD handling in pipeline library (closes: #326488):
    - Queue SIGCHLD for the whole time we're collecting child process
      statuses; we need to keep a careful count of processes.
    - Forget any previous errno before calling reap_children.
  * Explicitly tell po2debconf to use the 'popular' output encoding, so that
    the woody-compatibility hack works even with po-debconf 0.9.0.

 -- Colin Watson <cjwatson@debian.org>  Wed, 21 Sep 2005 13:03:47 +0100

man-db (2.4.3-2) unstable; urgency=low

  * Use 'col -b -p -x' rather than just 'col -b' when stdout is not a
    terminal. Partly fixes #319952, but col still needs to be fixed to cope
    with UTF-8 input.
  * Use www-browser as default HTML pager, and suggest the virtual
    www-browser package (closes: #321769).
  * Update debian/copyright with the FSF's new address.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Aug 2005 13:37:35 +0100

man-db (2.4.3-1) unstable; urgency=low

  * New upstream release.
    - Make most calls to external programs directly rather than going via
      the shell.
    - When stdout is not a terminal, man pages will be formatted in plain
      text without the use of backspace or ANSI formatting characters.
    - Try harder to find somewhere to store cat pages for symlinked man
      pages (closes: #129575).
    - When invoking apropos (man -k) or whatis (man -f) as external
      programs, man now only passes through command-line options understood
      by the respective programs (closes: #207436).
    - Drop versions and/or modifiers from locale names before deciding how
      to handle them (closes: #241387).
    - Fix portable shell issues in mkcatdirs (closes: #256279).
    - Terminate NAME section parsing on encountering a macro definition
      (closes: #275562).
    - Add -s/--section option to apropos and whatis (closes: #218407).
    - Update Polish translation (thanks, Robert Luberda; closes: #245057).
    - Update Russian translation (thanks, Yuri Kozlov; closes: #268584).
  * Policy version 3.6.2: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Mon,  4 Jul 2005 00:27:05 +0100

man-db (2.4.2-23) unstable; urgency=low

  * Update config.guess and config.sub to 2005-04-22 (closes: #315075).

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Jun 2005 14:49:04 +0100

man-db (2.4.2-22) unstable; urgency=low

  * Depend on debconf | debconf-2.0.
  * Add debconf translations:
    - Vietnamese (thanks, Clytie Siddall; closes: #309060).

 -- Colin Watson <cjwatson@debian.org>  Fri, 10 Jun 2005 15:22:16 +0100

man-db (2.4.2-21) unstable; urgency=low

  * Teach encodings layer about Turkish.

 -- Colin Watson <cjwatson@debian.org>  Wed,  5 Jan 2005 15:14:30 +0000

man-db (2.4.2-20) unstable; urgency=low

  * Suggest less, since we have special support for it (closes: #280096).
  * Add support for cross-building (closes: #284856).
  * Restore the intended ability to use SECTIONS to move extensions out of
    order with respect to their parent sections, broken while working around
    #204249.
  * Move extended section 3posix after section 2 (closes: #277981).
  * Update debconf translations:
    - Russian (thanks, Yuri Kozlov; part of #268584).

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Dec 2004 22:22:17 +0100

man-db (2.4.2-19) unstable; urgency=low

  * Fix database creation problems on systems with badly broken clocks set
    before the epoch (thanks to Martin Pitt for the hint; fixes #252425
    harder).

 -- Colin Watson <cjwatson@debian.org>  Thu, 22 Jul 2004 14:58:28 +0100

man-db (2.4.2-18) unstable; urgency=low

  * Fix out-of-order declarations in whatis.c (closes: #240089).
  * Update debconf translations:
    - Dutch (thanks, cobaco; closes: #260294).

 -- Colin Watson <cjwatson@debian.org>  Tue, 20 Jul 2004 01:40:20 +0100

man-db (2.4.2-17) unstable; urgency=low

  * debian/postinst, debian/postrm: Replace XSIish uses of 'test' with more
    portable code (thanks, David Weinehall; see #256279).
  * Synchronize logic for whether to ask build-database or rebuild-database
    between config and postinst (closes: #246545).
  * Don't fail to configure if mandb doesn't create any databases for
    whatever reason when running in the foreground (closes: #252425).
  * Policy version 3.6.1: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Jun 2004 11:48:02 +0100

man-db (2.4.2-16) unstable; urgency=low

  * Update debconf translations:
    - Spanish (thanks, Carlos Valdivia Yagüe; closes: #247829).

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 May 2004 19:19:53 +0100

man-db (2.4.2-15) unstable; urgency=medium

  * Add debconf translations:
    - Czech (thanks, Miroslav Kure; closes: #244422).
    - Polish (thanks, Robert Luberda; closes: #245056).
  * Update debconf translations:
    - German (thanks, Florian Ernst; closes: #244532).

 -- Colin Watson <cjwatson@debian.org>  Fri, 23 Apr 2004 01:30:38 +0100

man-db (2.4.2-14) unstable; urgency=low

  * Add Turkish debconf translation (thanks, Recai Oktas and Mehmet Turker;
    closes: #239143).

 -- Colin Watson <cjwatson@debian.org>  Tue, 23 Mar 2004 20:14:20 +0000

man-db (2.4.2-13) unstable; urgency=medium

  * When sorting located man pages for display, sort by pure section, then
    id (real page, symlink, whatis reference, etc.), then extended section,
    rather than the previous ordering of extended section then id. This
    works around the worst effects of #204249, in which changing a
    cross-hierarchy man page alternative can cause man to get the display
    order wrong.

 -- Colin Watson <cjwatson@debian.org>  Mon,  8 Mar 2004 00:23:21 +0000

man-db (2.4.2-12) unstable; urgency=low

  * Add Ukrainian debconf translation (thanks, Eugeniy Meshcheryakov;
    closes: #235803).

 -- Colin Watson <cjwatson@debian.org>  Tue,  2 Mar 2004 21:32:07 +0000

man-db (2.4.2-11) unstable; urgency=low

  * Update Brazilian Portuguese debconf translation (thanks, Andre Luis
    Lopes; closes: #235501).

 -- Colin Watson <cjwatson@debian.org>  Mon,  1 Mar 2004 00:08:30 +0000

man-db (2.4.2-10) unstable; urgency=low

  * Update debconf translations:
    - Danish (thanks, Claus Hindsgaul; closes: #233272).
    - French (thanks, Christian Perrier; closes: #232490).
    - Japanese (thanks, Kenshi Muto; closes: #234051).

 -- Colin Watson <cjwatson@debian.org>  Sun, 22 Feb 2004 19:45:13 +0000

man-db (2.4.2-9) unstable; urgency=low

  * Improve the wording of some debconf templates (thanks, Christian
    Perrier; closes: #232002).

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Feb 2004 22:12:14 +0000

man-db (2.4.2-8) unstable; urgency=low

  * Shorten the man-db/install-setuid template so that it doesn't overflow a
    25-line terminal (see #231083).

 -- Colin Watson <cjwatson@debian.org>  Sun,  8 Feb 2004 17:28:10 +0000

man-db (2.4.2-7) unstable; urgency=low

  * Fix lexgrog to handle *roff requests immediately after ".SH NAME"
    properly rather than interpreting them as plain text, and add a grotty
    heuristic hack to strip quotes from request arguments (closes: #222426).

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Jan 2004 00:30:57 +0000

man-db (2.4.2-6) unstable; urgency=low

  * Increment groff-base dependency to 1.17.2-2, when the ascii8 device was
    moved there (closes: #225461). Drop the alternative groff dependency
    altogether; it only matters if you're trying to use sarge's man-db with
    a groff from before woody, and I'm unconvinced about trying to support
    that combination.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Dec 2003 01:06:43 +0000

man-db (2.4.2-5) unstable; urgency=low

  * Fix build with uClibc, which doesn't have canonicalize_file_name()
    (thanks, Erik Andersen; closes: #216631).
  * Speed up mandb's purging of obsolete entries by lots, after noticing
    that it was calling fnmatch() an obscene number of times. The directory
    cache is now kept sorted and binary-searched on lookup.

 -- Colin Watson <cjwatson@debian.org>  Mon, 17 Nov 2003 22:35:30 +0000

man-db (2.4.2-4) unstable; urgency=low

  * Add Dutch debconf translation (thanks, cobaco; closes: #216309).

 -- Colin Watson <cjwatson@debian.org>  Sat, 18 Oct 2003 01:06:37 +0100

man-db (2.4.2-3) unstable; urgency=low

  * Make upgrades from before 2.4.2-1 pay attention to the rebuild-database
    question rather than build-database, even though the names of database
    files have changed (closes: #213799).
  * Silence errors from mandb via man when there are unwriteable directories
    on the manpath (closes: #213832).
  * In fact, while we're at it, turn off MAN_DB_CREATES so that man never
    tries to create databases that don't already exist. Users can still run
    mandb to create them themselves for the benefit of apropos and whatis if
    it's appropriate, but filesystem lookup should normally be enough for
    reading man pages.

 -- Colin Watson <cjwatson@debian.org>  Fri, 10 Oct 2003 21:07:37 +0100

man-db (2.4.2-2) unstable; urgency=low

  * mandb only complains if it failed to do anything on create, not on
    update (closes: #211977).
  * Teach encodings layer about Galician, Indonesian, Croatian, and Slovak.

 -- Colin Watson <cjwatson@debian.org>  Sun, 21 Sep 2003 14:38:27 +0100

man-db (2.4.2-1) unstable; urgency=low

  * New upstream release.
    - Revamped locale support.
      + The encoding of source manual pages is no longer considered to be
        related to the encoding of the input passed to *roff or to *roff's
        terminal output device. iconv pipes are inserted where necessary to
        convert between encodings.
      + Avoid using -Tlatin1 in locales that don't support it, like C and
        *.ISO-8859-2 (closes: #163983, #168442).
    - 'man ./foo.1' behaves much more like 'man -l foo.1' (closes: #170512).
    - Directories found in strange places in manual hierarchies don't crash
      mandb (closes: #176645).
    - Clarify 'man -Tdevice' syntax in man(1) (closes: #186806).
    - Add -C switch to use a different configuration file (closes: #176522).
    - mandb now knows how to purge removed stray cat pages from the database
      (closes: #143632).
  * Climb off the Berkeley DB version treadmill and use GDBM instead, whose
    version churn is a lot less frequent, and which is smaller and more
    appropriate to the use man-db makes of its databases (closes: #177176).
  * debian/postinst: Remove old index.bt databases from /var/cache/man.
  * debian/copyright: Remove outdated claim to be a native package (thanks,
    Petr Hudec). Various other updates and corrections.
  * debian/changelog: Correct date of second-earliest entry (thanks again,
    Petr Hudec).

 -- Colin Watson <cjwatson@debian.org>  Sat, 20 Sep 2003 12:08:29 +0100

man-db (2.4.1-13) unstable; urgency=medium

  * Fix segfault caused by an unchecked strcpy() while resolving hard links.
  * Provide -8 and -B as separate flex arguments. flex 2.5.31 is stricter
    about this.

 -- Colin Watson <cjwatson@debian.org>  Fri, 15 Aug 2003 22:38:50 +0100

man-db (2.4.1-12) unstable; urgency=high

  * SECURITY: Fix overly permissive DEFINE command. DEFINE directives that
    affect code running with raised privileges are now disabled in
    ~/.manpath.

 -- Colin Watson <cjwatson@debian.org>  Fri,  1 Aug 2003 22:29:44 +0100

man-db (2.4.1-11) unstable; urgency=high

  * Fix several security problems reported on BugTraq (closes: #203475):
    - Limit sscanf() calls to the appropriate buffer size while reading
      configuration file.
    - Allocate strings dynamically while finding the ultimate source of man
      pages, avoiding a couple of buffer overflows.
    - Die gracefully if MANPATH contains too many elements, as a stopgap
      measure until proper list handling can be added.

 -- Colin Watson <cjwatson@debian.org>  Wed, 30 Jul 2003 22:52:05 +0100

man-db (2.4.1-10) unstable; urgency=low

  * Ignore LANGUAGE if a locale is explicitly specified using the
    -L/--locale option (closes: #187751).
  * Clarify section 3 as "program libraries" rather than "system libraries"
    (closes: #196588).

 -- Colin Watson <cjwatson@debian.org>  Sat, 28 Jun 2003 00:27:37 +0100

man-db (2.4.1-9) unstable; urgency=medium

  * Fix detection of decompression programs so that man doesn't attempt to
    execute man pages (!) when it doesn't have a decompression program
    (thanks, Paul Slootman; closes: #196097).
  * Fall back to /usr/bin/compress if compress isn't installed on the build
    system.
  * Correct a misplaced free() in decompress() that mangled an error
    message.

 -- Colin Watson <cjwatson@debian.org>  Thu,  5 Jun 2003 00:30:45 +0100

man-db (2.4.1-8) unstable; urgency=low

  * debian/postinst: Remove '>/dev/null 2>/dev/null' from start-stop-daemon
    invocation (see #154958 and #191249).
  * Convert to po-debconf, including hacks for source package compatibility
    with woody.

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 May 2003 23:55:31 +0100

man-db (2.4.1-7) unstable; urgency=low

  * Return 0 from xcopy() if the source file doesn't exist, so that mandb
    creates databases when asked to update missing ones instead of bailing
    out (closes: #187314).

 -- Colin Watson <cjwatson@debian.org>  Sat, 12 Apr 2003 16:44:54 +0100

man-db (2.4.1-6) unstable; urgency=low

  * Fix stupid mistake in xcopy()'s error handling. Thanks to Adam Conrad
    for the use of his system (closes: #183102).

 -- Colin Watson <cjwatson@debian.org>  Mon,  3 Mar 2003 22:02:51 +0000

man-db (2.4.1-5) unstable; urgency=low

  * Fix a segfault in the $PATH-searching code (closes: #182661).
  * Remove obsolete Suggests: groff-x11.

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Feb 2003 10:26:30 +0000

man-db (2.4.1-4) unstable; urgency=low

  * Only emit the message pointing to undocumented(7) if the name the user
    is looking for is on the $PATH (closes: #176468).
  * Improve xcopy()'s error handling. This helps with #167159, although
    apparently I'll have to move to db 4.1 to fix it completely.

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Feb 2003 17:08:38 +0000

man-db (2.4.1-3) unstable; urgency=low

  * Drop privileges in display_pages() when trying to display a page from a
    user manpath. (This isn't a security problem, as privileges were still
    correctly dropped while running external programs like pagers. However,
    it meant that non-world-readable user manpaths were inaccessible using a
    setuid man.)
  * Recode this changelog to UTF-8.

 -- Colin Watson <cjwatson@debian.org>  Mon,  6 Jan 2003 03:25:29 +0000

man-db (2.4.1-2) unstable; urgency=low

  * Fix some cases of uninitialized mandata structs (closes: #151873).
  * Restore the undocumented(7) message; 2.4.1 implements it using a
    configure flag which I forgot to add.

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Dec 2002 01:06:57 +0000

man-db (2.4.1-1) unstable; urgency=low

  * The "no, the apropos segfaults weren't my fault" release.
  * New upstream release.
    - Add new -W/--where-cat option and arrange for -w to print out only the
      location of the nroff page, to make parsing easier (closes: #156558).
    - Remove some global variable abuse in the detection of preprocessors
      (closes: #153794).
    - Export $MAN_PN to the pager (closes: #158658).
    - Fix character set lookups again (closes: #158752).
    - Add bzip2 decompression support (closes: #159994). Note that this
      doesn't mean packages should use it: Debian policy still mandates
      gzip, and bzip2 is neither Essential: yes nor depended on by man-db.
    - Print an error message and continue when a decompression command
      fails, rather than immediately returning CHILD_FAIL (closes: #141981).
    - Clarify the purpose of section 7 as "Miscellaneous" (closes: #161505).
    - Rewrite the whatis parsing and storing code in check_mandirs.c so that
      I can actually understand it, and fix some spurious pointer loops in
      the process (closes: #163030).
    - Avoid over-enthusiastic access() check on stdin, so that 'man -X -l -'
      works (thanks, Peter Muir; closes: #167446).
    - Escape man page names when globbing, so that [(1) works properly
      (closes: #168129).
    - Fix a slightly misfiring check for $LANGUAGE (closes: #171513).
    - Detect and rebuild databases with the multi key corruption fixed in
      2.4.0-7 (closes: #165625).
  * './configure --enable-mandirs=GNU' is no longer necessary; the configure
    script figures it out automatically.

 -- Colin Watson <cjwatson@debian.org>  Sun, 22 Dec 2002 19:43:37 +0000

man-db (2.4.0-11) unstable; urgency=low

  * Remove weak alias foolishness from lib/strnlen.c, so that man-db can
    build on BSD.
  * Add advice to the "No manual entry for %s" message to the effect that
    help for undocumented features can be found in undocumented(7). This is
    an experimental Debian-specific hack for now to help with #39830, but
    can be pushed upstream in time.

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Nov 2002 01:04:03 +0000

man-db (2.4.0-10) unstable; urgency=low

  * datum.dsize needs to be size_t, not int. This broke s390x, which is
    64-bit and big-endian (thanks, Bastian Blank).
  * Policy version 3.5.7:
    - Drop DEB_BUILD_OPTIONS=debug, and support noopt instead.

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Sep 2002 21:32:30 +0100

man-db (2.4.0-9) unstable; urgency=low

  * Don't fail whatis parse upon encountering EOF in the NAME section of a
    man page (closes: #160102).

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 Sep 2002 19:23:29 +0100

man-db (2.4.0-8) unstable; urgency=low

  * Recover if /var/cache/man has been deleted (closes: #159665).
  * Get rid of spurious "fopen: no such file or directory" message.
  * Fix '/usr/share/common-license' typo.

 -- Colin Watson <cjwatson@debian.org>  Fri,  6 Sep 2002 22:59:55 +0100

man-db (2.4.0-7) unstable; urgency=medium

  * Fix segfault with uninitialized info.name and info.filter when scanning
    stray cats (thanks, Brendan O'Dea).
  * Fix database corruption when deleting one of a group of pages with the
    same name from the database. Existing corruption isn't repaired
    automatically; if you get "bad fetch on multi key" errors, run 'mandb
    --create' as the 'man' user to rebuild the database from scratch
    (closes: #159451).

 -- Colin Watson <cjwatson@debian.org>  Tue,  3 Sep 2002 20:41:56 +0100

man-db (2.4.0-6) unstable; urgency=low

  * Use --quiet in cron jobs rather than redirecting mandb's stdout and
    stderr to /dev/null (closes: #133185).
  * Point the cron jobs and postinst at /usr/bin/mandb rather than
    /usr/lib/man-db/mandb. At some point /usr/lib/man-db is going to go
    away, as it's no longer necessary; make sure to bring /etc/cron.*/man-db
    up to date if you've changed them manually.
  * Compare $DEBIAN_FRONTEND case-insensitively (closes: #154764).

 -- Colin Watson <cjwatson@debian.org>  Fri,  9 Aug 2002 01:42:17 +0100

man-db (2.4.0-5) unstable; urgency=low

  * Fix segfault when man is asked to display a page that is a dangling
    symlink (closes: #151974).
  * Improve error message when asked to display a nonexistent page whose
    name begins with 'n' or 'l' (which are also section names).

 -- Colin Watson <cjwatson@debian.org>  Sat,  6 Jul 2002 21:34:04 +0100

man-db (2.4.0-4) unstable; urgency=low

  * Make sure the loop that scans for per-system manpaths if $SYSTEM is set
    always makes progress (closes: #151270).
  * Install man/THANKS.
  * Update David Martínez' e-mail address.

 -- Colin Watson <cjwatson@debian.org>  Wed,  3 Jul 2002 22:52:13 +0000

man-db (2.4.0-3) unstable; urgency=low

  * Include a bug/reportbug presubj hook to encourage the inclusion of
    --debug output in bug reports.
  * Fix the "9wm problem" for good (I hope). In the default configuration,
    man will now essentially assume that anything beginning with a digit is
    a section, but fall back and try it as a name if that doesn't work. So
    'man 9wm fvwm' will look for fvwm(9wm) and then try 9wm(1) and fvwm(1)
    when that fails, while 'man 3perl Shell' will display Shell(3perl). This
    will now work even if man hasn't been explicitly told that 3perl is a
    valid section (closes: #151283).
  * Don't list 3tcl and 3tk in /etc/manpath.config any more, as this
    workaround is now unnecessary (see #115345).

 -- Colin Watson <cjwatson@debian.org>  Sat, 29 Jun 2002 14:20:18 +0000

man-db (2.4.0-2) unstable; urgency=low

  * Don't ask rebuild-database question twice on upgrade (closes: #151131).

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Jun 2002 10:00:01 +0000

man-db (2.4.0-1) unstable; urgency=low

  * New upstream release.
    - Restructure the code that finds man pages to allow more flexibility.
      Man pages are now located first, then sorted properly before they are
      displayed (closes: #107946, #146696).
    - Case-insensitive lookups are now the default, although they can be
      disabled with -I or --match-case (closes: #108410). The database
      format had to be changed to support this, so existing databases will
      need to be rebuilt; debconf will ask about this at medium priority. In
      the process, move from libdb2 to libdb3.
    - Add a new -E/--encoding option to select different nroff devices
      (closes: #123994).
    - Use groff's utf8 device if the current locale specifies the UTF-8
      character set (closes: #129783).
    - Various changes that help with displaying output from the forthcoming
      groff 1.18. In particular, the -R flag is passed to less - shout if
      this causes any problems.
    - Work around libdb delays on zero-length databases (closes: #137908).
    - Add $MANLESS, which can be used to override all of man's
      do-what-I-mean code for setting $LESS (closes: #141403).
    - 'apropos --wildcard' anchors on word boundaries by default. Use
      --exact as well to revert to the old behaviour (closes: #37686).

    - Mention ps and utf8 groff output devices in man(1) (closes: #123997).
    - Document mandb's exit codes in its man page (closes: #111851).
    - Set less's -M prompt as well as its -m prompt (closes: #123312).
    - Give the correct page titles to less when man is invoked recursively
      (closes: #139155).
    - Use .BR for references in manpage.example (closes: #143389).

  * Stop using the wrapper that squashed root privileges down to uid man. It
    didn't provide any real security benefits in my opinion, and caused too
    many problems (closes: #58112, #74790).
  * Updated German and Brazilian Portuguese debconf translations (thanks,
    Sebastian Rittau and Andre Luis Lopes).
  * Correct path to text manual in doc-base file, and mention some more
    formats (thanks, Robert Luberda; closes: #149547).
  * start-stop-daemon isn't available when running from debootstrap. Use
    perl in the postinst instead to drop privileges in this case (thanks to
    Torsten Landschoff for the idea).

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Jun 2002 15:40:32 +0000

man-db (2.3.20-20) unstable; urgency=low

  * Fix Catalan debconf translation (thanks, Jordi Mallach;
    closes: #140294).
  * Always build the database on fresh installations. Bug #100616 is now
    avoided by starting mandb in the foreground if DEBIAN_FRONTEND =
    Noninteractive; I originally thought this was also set when using the
    noninteractive frontend normally outside the installer, which apparently
    isn't the case.

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 May 2002 23:07:58 +0100

man-db (2.3.20-19) unstable; urgency=low

  * debconf translations:
    - Add Catalan (thanks, Antoni Bella; closes: #140294).
    - Update Russian (thanks, Ilgiz Kalmetev; closes: #140886).
  * debian/cron.daily: Force /var/cache/man to be owned by man, just in case
    something else changed it (closes: #129340). If you want the cat
    directories to be owned by some other user, use dpkg-statoverride on
    /var/cache/man to set this; cron.daily won't touch them then.
  * debian/control: Depend on dpkg (>= 1.9.0) for the exit status of
    'dpkg-statoverride --list'.

 -- Colin Watson <cjwatson@debian.org>  Sat,  4 May 2002 20:28:27 +0100

man-db (2.3.20-18) unstable; urgency=medium

  * Add French debconf translation (thanks, Philippe Batailler;
    closes: #138375).

 -- Colin Watson <cjwatson@debian.org>  Fri, 15 Mar 2002 01:46:57 +0000

man-db (2.3.20-17) unstable; urgency=low

  * Add Japanese debconf translation (thanks, Tomohiro KUBOTA;
    closes: #138110).

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Mar 2002 11:08:42 +0000

man-db (2.3.20-16) unstable; urgency=low

  * Adjust Spanish debconf translation (thanks, David Martinez Moreno;
    closes: #136981).

 -- Colin Watson <cjwatson@debian.org>  Sat,  9 Mar 2002 21:10:43 +0000

man-db (2.3.20-15) unstable; urgency=low

  * The "mad-db" release.
  * Move section 2 in front of the extensions for scripting languages in
    section 3 by default, at the request of the Perl maintainer.
  * Install DVI and PostScript versions of the manual, for ease of printing
    (closes: #134926).

 -- Colin Watson <cjwatson@debian.org>  Thu, 21 Feb 2002 09:20:04 +0000

man-db (2.3.20-14) unstable; urgency=medium

  * Fix segfault due to reusing a freed pointer in some cases of pages with
    multiple names. Thanks to Eirik Fuller for an excellent piece of
    analysis (closes: #123130).

 -- Colin Watson <cjwatson@debian.org>  Thu, 21 Feb 2002 01:25:17 +0000

man-db (2.3.20-13) unstable; urgency=low

  * Add Danish translation (thanks, Morten Brix Pedersen; closes: #122674).
  * Add Danish debconf translation (thanks, Claus Hindsgaul and Rune B.
    Broberg; closes: #126606).
  * Update Spanish debconf translation (thanks, José Luis González
    González).
  * Delete spurious backslashes in the less prompt string (closes: #122355).

 -- Colin Watson <cjwatson@debian.org>  Sun, 27 Jan 2002 03:10:06 +0000

man-db (2.3.20-12) unstable; urgency=medium

  * Add some text to the install-setuid debconf note to explain that cat
    pages only work with "normal" terminal widths, to avoid the denial of
    service attack where you cause a cat page to be saved for a
    one-character-wide terminal, and that you can override its terminal
    width detection using $MANWIDTH. This alleviates #121997, although
    there's still a wishlist there to allow the width of cat pages on the
    system to be configurable.
  * Remove po/fr.gmo in the clean target: binary files can't go in the diff.

 -- Colin Watson <cjwatson@debian.org>  Sat,  1 Dec 2001 19:41:54 +0000

man-db (2.3.20-11) unstable; urgency=low

  * French translation update (thanks, Laurent Pelecq).

 -- Colin Watson <cjwatson@debian.org>  Sun, 25 Nov 2001 19:58:44 +0000

man-db (2.3.20-10) unstable; urgency=medium

  * copy_datum() explicitly null-terminates data returned by libdb2, which
    avoids some rare and hard-to-trace segfaults. Many thanks to Manuel
    Estrada Sainz for his patience in allowing me to use his system to debug
    this over a period of several weeks (closes: #115219, #117009).
  * Keep a private hashtable of keys we've received from the database in the
    btree code, and return NULL if we get one we've seen already. Although
    this slows down database access somewhat, I hope it should get rid of
    problems with looped databases for good (closes: #116785).
  * Avoid nested calls to strtok() (closes: #119041).
  * Don't try to strappend() a string to itself while processing a MANPATH
    containing "::" (closes: #119098).
  * Display a more useful error message if asked to display a directory
    (closes: #120047).
  * Stop a memory leak in decompress().
  * configure detects that nroff is groff even if /bin/sh is ash.

 -- Colin Watson <cjwatson@debian.org>  Mon, 19 Nov 2001 01:56:01 +0000

man-db (2.3.20-9) unstable; urgency=low

  * Drop privileges when reading temporary file to find the list of
    preprocessors (closes: #117037).
  * Axiom: any bug in man-db may be fixed by additional calls to
    drop_effective_privs().

 -- Colin Watson <cjwatson@debian.org>  Thu,  8 Nov 2001 11:34:53 +0000

man-db (2.3.20-8) unstable; urgency=low

  * Force build-time pager detection to return /usr/bin/pager, even if for
    some reason it doesn't exist (closes: #117246).
  * Actually remember to run autoconf this time.
  * Add 3tcl and 3tk sections to /etc/manpath.config as a workaround until
    extensions work properly (closes: #115345).

 -- Colin Watson <cjwatson@debian.org>  Tue,  6 Nov 2001 10:46:44 +0000

man-db (2.3.20-7) unstable; urgency=high

  * Drop privileges throughout format_display(), and fix use of freed memory
    while printing the resulting error message (closes: #117168).

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Oct 2001 15:10:05 +0100

man-db (2.3.20-6) unstable; urgency=low

  * Oops, meant to remove --nicelevel from cron.weekly and the postinst too.
  * Weaken versioned dependency on dpkg.

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Oct 2001 21:23:21 +0100

man-db (2.3.20-5) unstable; urgency=low

  * Add Russian debconf translation (thanks, Ilgiz Kalmetev;
    closes: #114981).
  * Remove --nicelevel from cron.daily script until start-stop-daemon is
    fixed. Sorry (see #114997).

 -- Colin Watson <cjwatson@debian.org>  Tue,  9 Oct 2001 20:06:39 +0100

man-db (2.3.20-4) unstable; urgency=medium

  * Release Manager: this bug has been in man-db since 2.3.18-3, and meant
    that new installations of woody had broken cat directories by default.
    It really needs to beat the base system freeze.
  * mandb: correctly chown newly created cat directories to man when running
    as root (closes: #113764).
  * debian/postinst: chown everything in /var/cache/man to man if upgrading
    from older versions.
  * Build with -Wall.

 -- Colin Watson <cjwatson@debian.org>  Sun, 30 Sep 2001 14:52:25 +0100

man-db (2.3.20-3) unstable; urgency=low

  * Suppress spurious "pointer loop" error from apropos/whatis in certain
    corner cases (see #113370).

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Sep 2001 00:04:55 +0100

man-db (2.3.20-2) unstable; urgency=medium

  * lexgrog: Stop the '.' no-op request from eating text on the next line
    (it caused problems before .SH NAME), and trim whitespace better.
    Urgency medium to match the recent groff upload that tickles this.
  * man: Drop privileges throughout local_man_loop() (closes: #111939).
  * Various documentation updates, including referring to man(7) from man(1)
    and adding some more advice to manpage.example* (thanks, Andreas Dilger;
    closes: #112281).
  * Policy version 3.5.6.

 -- Colin Watson <cjwatson@debian.org>  Wed, 19 Sep 2001 02:18:20 +0100

man-db (2.3.20-1) unstable; urgency=low

  * New upstream release.
    - Improve lexgrog so that its output is more machine-parseable, give it
      a man page, and move it to /usr/bin.
    - mandb's --create option implies --no-purge, to avoid problems when
      recreating broken databases (closes: #110738, important).
    - man doesn't segfault if LANGUAGE is set but empty (closes: #110309).
    - Support 'man --html', with ESR's $BROWSER specification and David A.
      Wheeler's modifications for improved security (closes: #108143).
    - Reword part of apropos(1) (thanks, Daniel Patterson; closes: #110468).
  * Release Manager: we've had most of the code in this release already in
    the 2.3.19 series. The lexgrog changes here will be very useful for
    tools like lintian, perhaps in time for woody; the code affected by
    implementing $BROWSER was previously unsupported.
  * All translations (both gettext and man pages) are now very out of date.
    Please contact me if you can help.
  * debian/rules: Simplify install target; upstream clock-skew bug fixed.

 -- Colin Watson <cjwatson@debian.org>  Fri,  7 Sep 2001 19:30:34 +0100

man-db (2.3.19-6) unstable; urgency=low

  * Escape shell arguments properly to cope with spaces in man page names
    (closes: #27492, #50107).
  * Honour more than one MANPATH_MAP entry per $PATH element, providing of
    course that the manpath exists (closes: #108979).
  * Set roff_device to ascii8 and LESSCHARSET to iso8859 for Korean (thanks,
    Ho-seok Lee; closes: #109598, #109599).
  * Display an error if setlocale() fails.
  * Switch off --html option properly, as it doesn't work very well yet
    anyway. The -Thtml option still works.
  * Fix count of purged whatis references.
  * src/wrapper.c: Include <grp.h> for initgroups().

  * debian/control: Improve language of description.
  * debian/copyright: Minor updates. Mention Markus Armbruster.
  * debian/rules: Build and install /usr/lib/man-db/lexgrog; it's handy for
    testing purposes.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Aug 2001 01:20:00 +0100

man-db (2.3.19-5) unstable; urgency=low

  * Improve creation of temporary files by using mkstemp() rather than
    tempnam(), and by falling back to /tmp if $TMPDIR is unwriteable
    (closes: #92459, #102330).
  * Clean up manpage.example, and install new examples of man pages written
    in POD and DocBook SGML (closes: #96781).
  * Include /var/cache/man directory in the .deb. I probably won't install
    anything beneath that manually, as it's better that mandb creates them
    on the fly as required (closes: #75868).
  * Part of 2.3.18-7 accidentally got lost in 2.3.19-1. Here it is again:
    - configure.in falls back to standard paths for col, grap, lynx, and
      vgrind, so we don't need those as build dependencies any more.
  * Make lexgrog no longer misfire on lowercase versions of the various
    groff requests that indicate the use of tbl, eqn, etc.

 -- Colin Watson <cjwatson@debian.org>  Mon,  6 Aug 2001 02:04:17 +0100

man-db (2.3.19-4) unstable; urgency=low

  * Look up the correct character set each time a page is displayed, not
    just the first time (closes: #104350).
  * Check for more translations of the NAME section (cs, fi, hu, nl, and pl,
    plus of course Latin; closes: #104352).
  * Add debconf translations:
    - German (thanks, Sebastian Rittau; closes: #104295).
    - Brazilian Portugese (thanks, Andre Luis Lopes; closes: #105359).

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Jul 2001 16:48:07 +0100

man-db (2.3.19-3) unstable; urgency=low

  * Allow whatis entries to point to themselves. This sometimes happens when
    multiple names and descriptions are present, and it's easier to tolerate
    this.
  * Prepend to $LESS rather than appending to it, so that long options work
    (closes: #83594).
  * Set the modification time of each cat page to be the same as that of the
    corresponding man page, and regenerate cat pages if the modtime differs
    rather than if it's newer (closes: #22358, #93659).

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Jul 2001 17:24:41 +0100

man-db (2.3.19-2) unstable; urgency=medium

  * A bracketing typo made determine_lang_table() never detect anything
    except the fallback language. This completely broke at least Japanese
    (closes: #103808).

 -- Colin Watson <cjwatson@debian.org>  Sat,  7 Jul 2001 16:36:20 +0100

man-db (2.3.19-1) unstable; urgency=medium

  * The "laptop envy (damn tbm for having a nicer one than me)" release.

  * New upstream release. Highlights:
    - Security fix: make sure decisions about whether to drop privileges are
      never taken based on the user configuration file ~/.manpath.
    - The ordering of manual sections is now configurable at run-time, using
      SECTION directives in the configuration file. This should kill the
      last traces of the old 9term(1) bug (closes: #3766, yay!).
    - man will no longer try to keep its database caches up to date, even if
      it's setuid. No more speed problems, we hope! Instead, it will fall
      back to file globbing if database lookups fail. Whatis references will
      no longer work if the database isn't up to date enough to contain
      them, but I filed bugs on all packages this affects a while ago.
    - The globbing is done per-section, so newly installed manual pages will
      be noticed properly now (closes: #10106).
    - Thanks to some code from another man program, manual pages are now
      formatted to an appropriate line length when viewed on a terminal.
      Non-standard sizes aren't saved as cat pages. Page lengths are already
      resized with recent versions of groff (closes: #25410, #53993).
    - mandb(8) now documents how whatis parsing might fail (closes: #77727).
    - Whatis parsing treats fill requests correctly (closes: #97916) and
      ignores the no-op groff request '.' (closes: #101330).
    - Avoid infinite recursion if the database is corrupted such that an
      entry points to itself, which I believe shouldn't happen any more
      anyway (closes: #102181).
    - Let mandb update system databases as root as well as the man user
      (closes: #102250).
    - Downgrade warning if a manpath element doesn't exist to a debugging
      message (closes: #102402); likewise for the warning about relying on
      whatis refs being deprecated (see #102678).
    - Fixed some details of parsing NAME sections with multiple names in man
      pages with multiple symlinks to them (closes: #102678).
    - mandb knows how to delete obsolete entries from the database now,
      which should help to clean up the effects of old bugs like the above.
      This can be disabled with --no-purge.

  * Add Spanish debconf translation (thanks, Carlos Valdivia Yagüe;
    closes: #102156).
  * Add 'mandb --no-purge' invocation in cron.daily, so that apropos and
    whatis will continue to work mostly as expected. Since --create isn't
    used any more, it should be quite fast. This should alleviate most
    problems caused by turning off automatic database updates. A cron.weekly
    entry remains which also purges old database entries.
  * Add SECTION entries for 3pm and 3perl to make sure Perl modules come
    before core (this was formerly set at compile-time).
  * The .deb doesn't contain setuid binaries any more, so remove the lintian
    overrides.

 -- Colin Watson <cjwatson@debian.org>  Thu,  5 Jul 2001 16:13:37 +0100

man-db (2.3.18-10) unstable; urgency=low

  * Fix handling of symlinks pointing outside a mantree to relative .so
    links, which should then be interpreted as pointing back inside the
    mantree (ugh). ult_src() relied on a restriction I removed in 2.3.17.1-5
    (closes: #101559).
  * Fix format string bug in zsoelim (closes: #102001).
  * Use start-stop-daemon instead of su in cron.daily too (closes: #101892).

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Jun 2001 16:07:39 +0100

man-db (2.3.18-9) unstable; urgency=high

  * While configuring, if the database is missing and we aren't setuid,
    don't build it; it will probably get out of date quickly anyway. This
    involves substantial debconf rearrangements, and I examine the seen flag
    so I need debconf (>= 0.5). Urgency high because the boot-floppies were
    having trouble with mandb starting in the background (closes: #100616).
  * When starting mandb in the background, use start-stop-daemon rather than
    su to avoid spurious syslog output. --nicelevel needs dpkg (>= 1.8.0).

  * manpath(1): s/semicolon/colon/ (thanks, Gordon Sadler; closes: #100362).
  * Comment out code supporting the man page hierarchy organization of other
    operating systems, as it sometimes misfires on Debian (e.g. dpkg(8) vs.
    dpkg.rb(1)). This will be solved more neatly upstream (closes: #99766).

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Jun 2001 16:08:04 +0100

man-db (2.3.18-8) unstable; urgency=medium

  * Fix infinite loop in pathappend() if man pages are present for both a
    given language and that language with a country code (closes: #100119).

 -- Colin Watson <cjwatson@debian.org>  Fri,  8 Jun 2001 18:13:36 +0100

man-db (2.3.18-7) unstable; urgency=medium

  * Folded in changelog entry from 2.3.16-4 security update. The backport
    was from upstream 2.3.18, so the vulnerability didn't apply to unstable.
  * Allow .PP etc. as well as .br between whatis definitions (e.g. pod2man).
  * Make straycats use 'col -bx' rather than 'col-bx' (thanks, Matt Kraai;
    closes: #98923).
  * The response to the above was a rather excessive exit(). straycats
    should now continue gracefully instead (thanks, Andrew Suffield).
  * Fix silly date format in man-db's English man pages.
  * pathappend() now eliminates duplicate manpaths (closes: #99667).
  * configure.in falls back to standard paths for col, grap, lynx, and
    vgrind, so we don't need those as build dependencies any more.
  * groff has been split! Depend on the base package, suggest the others.
  * The previous fix for #47000 only worked for read-only directories, not
    read-only filesystems. Fix it harder.
  * gettext seems to be broken with the new autoconf. Hack it for now.

 -- Colin Watson <cjwatson@debian.org>  Wed,  6 Jun 2001 18:27:24 +0100

man-db (2.3.18-6) unstable; urgency=low

  * Note in man-db/build-database and man-db/rebuild-database templates that
    the build will happen in the background and possibly slow down
    installation of other packages (closes: #71931).
  * Bump priority of man-db/rebuild-database (not man-db/build-database)
    question to medium.

  * Various updates from CVS for autoconf 2.50.
  * Avoid autoconf build-dep by touching configure and stamp-h.in in build
    and clean (ugh - remember to run the autotools manually).
  * Improved configure's checks for Berkeley DB to correctly handle newer
    headers with dbopen() defined as a macro (thanks, Duncan Simpson).

  * Fix a thinko in whatis parsing that meant "foo," would sometimes be
    stored in the database alongside "foo".
  * If we can't write to a cat page (e.g. man isn't setuid), don't bother to
    open a compressor to /dev/null, so that man can abort straight away
    rather than formatting whole pages into the bit-bucket when a user quits
    the pager early (closes: #98528).

 -- Colin Watson <cjwatson@debian.org>  Sat, 26 May 2001 20:26:25 +0100

man-db (2.3.18-5) unstable; urgency=low

  * Remove /usr/bin/man and /usr/bin/mandb on prerm remove (closes: #98221).
  * Stop using statoverrides in the postinst, as it's too hard to tell
    between maintainer-script-installed overrides and admin-installed
    overrides. Instead use ordinary chown/chmod (thanks, Michal Politowski;
    closes: #98224).

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 May 2001 22:52:05 +0100

man-db (2.3.18-4) unstable; urgency=low

  * Call db_stop in the postinst, just to be safe. I have a feeling
    redirecting stdout and stderr to /dev/null when running mandb might not
    be enough.
  * Don't remove catdirs in the postinst, even if we're upgrading from old
    versions that did that.
  * Remove some output in the postinst - whoops. Upgrades from <= 2.3.17.1-5
    to 2.3.18-3 were probably broken.
  * If it turns out that we have to (re)build the database, ask a
    low-priority debconf question about it (defaulting to yes). Rebuilding
    should happen much less often now in any case (closes: #74579).

 -- Colin Watson <cjwatson@debian.org>  Sun, 20 May 2001 19:34:55 +0100

man-db (2.3.18-3) unstable; urgency=low

  * So, I flame Peter T. Breuer on Usenet for his bug report being several
    bugs rolled up into one and being full of flamage itself. Then I think,
    well, since I'm ranting about it, I may as well see if I can fix it. Of
    course, it now turns out that fixing that was key to a load of other
    bugs. So I apologize to Peter and promise, again, to write the code
    before spouting off in future. :)
  * If opening a database or a cat page fails due to a lack of permissions
    (e.g. a read-only partition), recover gracefully and only complain about
    it in debug mode (addresses part of bug #47000).
  * Improved documentation of MANDB_MAP directives in /etc/manpath.config
    (addresses the other part of that bug, so closes: #47000).

  * Once man and mandb don't complain about certain classes of permission
    problems, it becomes easy to install them non-setuid. Since in this mode
    man can't write cat pages or update the database on the fly, non-setuid
    is the default but a debconf question asks whether to install them
    setuid. I hope this meets the concerns about man-db's security policy
    (closes: #42128).
  * As well as the above, the recent security updates should have made sure
    that man and mandb drop privileges at the right times, and so can read
    privately-owned directories (closes: #42479, #42791).
  * In non-setuid mode there's no need to use the root-squashing wrapper.
    I'm not going to close related bugs yet, as they're still present for
    those who install setuid; I still intend to split the setuid stuff out
    into a separate process and remove the wrapper entirely.
  * The postinst and cron.weekly now explicitly su to man to run mandb,
    since the wrapper might not be present.
  * If searching for a page in the database returns no output, check the
    filesystem anyway, as the database might not be up to date.

  * Tidied up parsing of multiple whatis keys in .SH NAME sections, so that
    each separate name gets assigned its own whatis entry correctly.
    Separating items in the NAME section with newlines remains unsupported,
    as at the moment man pages can get away with spreading their whatis
    description over multiple lines and I'd rather not break them
    gratuitously. However, multiple items will be recognized (and have been
    for a long time, albeit brokenly up to now) if they are separated by a
    .br (break) request. *roff doesn't normally do much with newlines in the
    middle of paragraphs in its input, so this is consistent. See bug #97916
    for more details (closes: #17735).

  * Updated tools/config.sub to know about the sh/sheb architectures.

 -- Colin Watson <cjwatson@debian.org>  Sat, 19 May 2001 19:29:39 +0100

man-db (2.3.18-2) unstable; urgency=medium

  * man would segfault if the argument to -S contained only colons, and
    incidentally treated an empty argument to -S wrongly. Both cases now use
    the standard list of sections instead (thanks, Colin Phipps and Stephen
    Shirley; closes: #97553, #97566).

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 May 2001 19:36:12 +0100

man-db (2.3.18-1) unstable; urgency=low

  * New upstream release, incorporating changes from Wilf's 2.3.11 and
    2.3b12 releases as well as all my upstream-relevant changes to date. At
    long last the Debian diff is a manageable size.
  * Build the manual from the original nroff source. HTML is gone for now,
    until I can get satisfactory output from grohtml.
  * Remove build dependency on html2text as a result of the above.
  * Build-depend on lynx, as configure checks for its path.
  * jgroff no longer exists, so drop the alternative dependency on it.
  * Remove debian/rules cruft to generate configure, which is now definitely
    built upstream.

  * The configuration file is now partially automatically generated, and is
    called man_db.conf upstream. The Debian package still uses
    manpath.config for now to save me having to do the hacking necessary to
    move a conffile.
  * According to FHS 2.1, the location of locally installed man pages is
    /usr/local/share/man rather than /usr/local/man. The upstream
    configuration file now has /usr/local/man mapped to
    /var/cache/man/oldlocal and /usr/local/share/man mapped to
    /var/cache/man/local. Move .../local to .../oldlocal in the postinst to
    save regenerating cat pages.

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 May 2001 00:00:56 +0100

man-db (2.3.17.1-5) unstable; urgency=low

  * Formally took over upstream maintenance. No release yet, but updated
    debian/copyright with new location of upstream source (and also Wilf's
    distribution site for old sources).
  * Generate man-db-manual.txt from man-db-manual.html at build time using
    html2text, rather than including it in the diff. (The next upstream
    release will have both generated from the original nroff source.)
  * Don't run configure in the clean rule, and ignore errors due to not
    finding the makefile. In normal autobuilds it just wastes time.

  * Bumped database format version to 2.3.2. This really should have been
    done a long time ago.
  * If database information is found to be in an old format, then ignore it
    and use the filesystem instead. mandb will fix it up when it's run, as
    it is in the postinst (although this may well become optional soon).
  * Explicitly close the database if the version number is wrong, so that
    the above works.
  * Lower warnings about wrong version numbers to debugging messages.
  * All hail debootstrap for making the testing above so painless!

  * Taught lexgrog how to detect grap and vgrind. Preprocessor lines (with
    '\", see man(1)) are no longer strictly necessary for these. It's still
    good practice to declare what preprocessors your man page needs if it
    uses any - even tbl - for compatibility with older versions of man.
  * History updates for the man pages.
  * Made accessdb check for /var/cache/man in preference to /var/catman, and
    updated the man page accordingly. (Incidentally, I'd have preferred it
    if the Japanese translator hadn't improvised text that wasn't in the
    English version, as now I don't know how to update it to keep up with
    this change. Please don't do this in future.)
  * Fixed the --test option to mandb (it really doesn't alter existing
    databases now), and documented it. It should be almost feasible to use
    it for lintian checks now, if need be (closes: #5360).
  * Generate a warning if displaying a page requires going through a whatis
    reference with no link in the filesystem. Supporting this is necessarily
    a major performance hog; see policy bug #94995 for more information.
  * Removed code preventing symlinks outside a mantree from working. I can't
    see how it's a security problem, and in some situations (e.g. stow) such
    symlinks are useful (closes: #94642).

 -- Colin Watson <cjwatson@debian.org>  Sat,  5 May 2001 00:19:00 +0100

man-db (2.3.17.1-4) unstable; urgency=high

  * Drop privileges in mandb when creating a temporary database in a
    user-supplied manual hierarchy. Thanks to Ethan Benson for observing
    this vulnerability.
  * This was also fixed in 2.3.16-3 in potato; folded in changelog entries
    from security updates.

  * I noticed a stray /etc/cron.weekly/catman on my system. Although it was
    definitely from this package, I can't quite work out from the changelog
    when it was removed. At any rate, it's obsolete, so clean it up.
  * Removed a spurious space in accessdb's usage output.
  * whatis/apropos: Complain and exit immediately if a key in the database
    is missing its value, indicating database corruption. Also disable
    optimized btree walk for now, as seq() seems to be more tolerant of this
    than get() for reasons I haven't tracked down yet (closes: #95052).

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Apr 2001 23:53:42 +0100

man-db (2.3.17.1-3) unstable; urgency=low

  * Move the wrapper from /usr/bin/man-wrapper to /usr/lib/man-db/wrapper,
    since there's no reason to execute it directly. This also means we can
    lose man-wrapper(1), which wasn't terribly informative anyway.
  * Make "bad symlink" output quieter (2.3.17.1-1 made it noisier by
    mistake).
  * Use the latin1 character set again for the C and POSIX locales.
  * Updated Japanese translations (thanks, UCHIDA Norihiro; closes: #76774).
    The ja_JP.ujis directory is still present, as a Debian diff can't remove
    it. I'll remove it in the next upstream release.
  * The order of locale variable checking was corrected some time ago by
    calling setlocale(LC_ALL, ""). Added support for the case where
    LC_MESSAGES is set differently from other categories, and for selecting
    multiple locale preferences with LANGUAGE (thanks, Claudio S. Suarez
    Sanchez and Tomohiro KUBOTA; closes: #40743).
  * Correct first line of /etc/manpath.config (closes: #94090).
  * Make /etc/manpath.config a dpkg-handled conffile and dispose of the hack
    to convert old configuration files to the FHS.
    /usr/share/man-db/chconfig is still there if people want to use it.
  * util-linux (essential) has provided /usr/bin/pager since version 2.7.1-1
    in September 1997. I think we can safely assume it's there now.
  * Don't preserve the configure script any more; just generate it each
    time. It should go in the next upstream tarball.
  * Updated --version output, and fixed configure to find the version number
    properly.

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Apr 2001 15:23:30 +0100

man-db (2.3.17.1-2) unstable; urgency=low

  * Really fix makefile permissions. It looks like makefile was only in the
    Debian diff, not the .orig.tar.gz, so there's no need to preserve it to
    avoid a massive diff (closes: #90302 again).
  * Just update the database in cron.weekly rather than creating it from
    scratch. If the database format changes, the postinst will sort it out;
    if the database becomes corrupt, you're going to want to fix it more
    quickly than next week anyway (closes: #39842).
  * 'apropos -w' really does wildcard matches now (thanks, KAMBAYASHI
    Hiroyuki; closes: #77624).
  * Updated docs/ToDo (using zlib rather than gzip would be good).

 -- Colin Watson <cjwatson@debian.org>  Sun,  1 Apr 2001 14:37:28 +0100

man-db (2.3.17.1-1) unstable; urgency=medium

  * New maintainer. Fabrizio, may the road rise up to meet you.
  * Might as well acknowledge my NMUs (closes: #41915, #60084, #60867;
    closes: #61198, #71797, #71932, #72292, #76107, #78086, #83019, #84128;
    closes: #84334, #84926, #85049, #85314, #85421, #85463, #85812, #86108;
    closes: #86892, #87195, #87420, #87541).

  * Converted to debhelper, and otherwise substantially rewrote the build
    process. debian/{p.skeleton,policy,source-depends} are gone, and
    debian/conffiles too as debhelper v3 handles that.
  * Unfortunately, much of the debian/ directory was in the upstream
    tarball, and dpkg-source ignores deletions. To get around this, I made a
    new "upstream" tarball, which is identical to 2.3.17 except without the
    debianization (hence the sub-sub-minor revision).
  * debian/rules:
    - Preserve ownership and permissions while copying files in the clean
      target to avoid inadvertent root ownership (closes: #90302).
    - Really set LDFLAGS, and pass it at the build stage rather than in
      configure so that I can get unstripped binaries easily.
    - DEB_BUILD_OPTIONS=debug was broken due to missing quotes. Fixed.
  * debian/{pre,post}{inst,rm}:
    - Reformatted somewhat and removed things debhelper does already.
    - Removed call to update-menus in postrm.
    - Only rebuild the database when the database format has changed or the
      database is missing, and only remove catpages on purge. Hacked preinst
      to deal with old packages' postrms removing catpages unconditionally.
    - No need to su to run mandb; man-wrapper will sort that out.
    - Clean up a cron job left around from the old man package in rex
      (closes: #67000).
  * Updated policy version to 3.5.2: no changes required.
  * Depend on bsdmainutils rather than just suggesting it. Users might
    legitimately want stray cats (pages, that is ...) on their system, even
    if they aren't installed by Debian packages (closes: #64183).
  * Added lintian overrides (setuid-binary /usr/lib/man-db/{man,mandb} 4755
    man/root).
  * Clarified manpage.example (thanks, Kevin Ryde; closes: #52525).

  * Call setlocale() with LC_ALL rather than LC_MESSAGES (patch from GOTO
    Masanori; closes: #75559). If somebody with experience of locale
    programming could tell me whether the patch in #40743 makes sense, it
    would be much appreciated.
  * The Perl maintainer is putting core Perl module man pages in the .3perl
    namespace, so that should follow .3pm (to allow vendor pages to shadow
    core). Added that to include/manconfig.h.in.
  * Significantly improved man's behaviour when new packages are installed
    and it decides to rescan the man hierarchies. Its logic for working out
    what pages it had seen before and put in its database didn't quite cope
    with symlinks, so every link to undocumented(7) and so on got rescanned
    and gunzipped. Fixed the logic in all but pathological cases (.so links
    to symlinks, say, but Don't Do That Then). If a lot of manual pages have
    been changed recently, it still reads them all, but this should be a lot
    less painful now.

 -- Colin Watson <cjwatson@debian.org>  Sat, 31 Mar 2001 18:07:46 +0100

man-db (2.3.17-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Quieten cron.weekly again. Even if I'd remembered --quiet, it will still
    report real errors in the man page hierarchy, such as broken symlinks;
    there are quite a lot of those in Debian right now, and it isn't
    important enough to mail root about it every week (will reopen #28828,
    but closes: #87541).
  * Change to the root directory so cron.daily doesn't get "Permission
    denied" (closes: #87195, #87694).
  * More *roff and /dev/null fixes in configure. This one restores the
    mandoc macros so that PostScript output looks sensible again
    (closes: #87420).
  * Build-depend on grap and vgrind so we always get paths to them.
  * Improved description of -M option in man page (closes: #71932).
  * Corrected a couple of "it's" -> "its" typos.
  * The FHS transition took place almost two years ago, but the code for
    updating manpath.config is still around. The configuration file is now
    only updated when the previous version of man-db was earlier than
    2.3.10-69j, and config_md5 is no longer dynamically updated in
    debian/rules based on the current build machine. Also move chconfig and
    config_md5 into /usr/share/man-db.

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Feb 2001 21:02:41 +0000

man-db (2.3.17-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Apply patch for format string vulnerability (thanks, Colin Phipps and
    Martin Schulze; closes: #84128, #84334, #85314).
  * Migrate from suidregister to dpkg-statoverride (closes: #85049, #86108).
  * Do the 'make install' step manually in debian/rules. On a clock-skewed
    machine, the existing code would decide to rebuild the binaries and end
    up hardwiring the temporary build directory into them. This caused
    problems in an Alpha security upload; that was fixed binary-only, but
    this should prevent it recurring (closes: #85421, #85463, #85812).
  * Worked around change in nroff's behaviour for configure - it no longer
    accepts /dev/null as an input file (thanks, Fumitoshi UKAI;
    closes: #76107, #83019).

  * Updated policy version to 3.5.1:
    - Added build dependencies (closes: #61198). This includes a
      build-depends on libdb2-dev after its split from glibc in glibc 2.2,
      so there's now no need for special handling (closes: #41915).
    - Support DEB_BUILD_OPTIONS.
  * Clean the source package properly. As per the changelog comment in
    2.3.17-2, I'll leave configure and makefile there, but other generated
    files need to be removed or autobuilders may have random problems.
  * Rename /usr/bin/wrapper to /usr/bin/man-wrapper until somebody makes it
    generic (closes: #60084).
  * Make man-db almost lintian-clean:
    - Strip binaries.
    - Wrote a brief man page for man-wrapper.
    - Make /usr/bin/man and /usr/bin/mandb symlinks to man-wrapper to avoid
      the mess of creating hardlinks in the postinst, which broke md5sums as
      far as lintian was concerned. With statoverrides this doesn't leave a
      window where man and mandb are setuid root.
  * Check arguments to maintainer scripts so we don't do things like calling
    mandb on a failed upgrade (closes: #60867).
  * The test '-x $(which foo)' doesn't always do something predictable.
    Replace it with better idioms where the maintainer scripts use it.
  * perl-base is essential, so no need to check for perl being available.
  * util-linux is essential, so no need to check for more being available.

  * Fix segfault where apropos couldn't find an identifying string for a man
    page (thanks, Les Schaffer; closes: #71797).
  * Don't throw away errors in cron.weekly (closes: #28828).
  * Make -s option to mandb really not check for stray cats
    (closes: #78086).
  * Run cron.daily as user man; mandb is already wrapped by man-wrapper, so
    cron.weekly is fine (thanks, Wolfram Kleff; closes: #72292).
  * If a gzip subprocess is interrupted and we clean up the temp file, make
    sure we don't try to do it again in the atexit() hook (closes: #84926).
  * Add another chdir() so that 'man -l' with a relative path to a
    compressed man page works again.

 -- Colin Watson <cjwatson@debian.org>  Wed, 21 Feb 2001 00:54:47 +0000

man-db (2.3.17-3) unstable; urgency=low

  * Cadded chmod to have configure executable. Thanx to Roman Hodek.
    This closes: #69226.

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 16 Aug 2000 17:06:31 +0300

man-db (2.3.17-2) unstable; urgency=low

  * Commented away call to distclean_root in GNUmakefile: need to leave
    the Makefile and configure in the tarball.
  * Found and fixed subtle bug which made wrapper uselessly linked with
    -ldb2. When invoked by root on a system which enables group.db, then
    the call to initgroups() segfaults due to the libc link to libdb!
    This closes: #65474.

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri,  7 Apr 2000 10:50:45 +0300

man-db (2.3.17-1) unstable; urgency=low

  * Corrected apparent disappearing of option -e in apropos.
  * Corrected wrong usage of undocumented option -X which produced error
    when passed to filters. This is now parametrized as optional
    argument, defaulting to use devX75.  Documented in usage :
        -X = -TX75, -X100 = -TX100, -X100-12 = -TX100-12.
  * Applyed patch submitted by Tomohiro KUBOTA:
    * roff_device and LESSCHARSET are determined by user environment rather
      than language of manpage for English manpage.
    * roff_device "ascii8" is used for non-English/non-ISO-8859-1 languages.
    Tomohiro KUBOTA <kubota@debian.or.jp>  Sat, 22 Apr 2000 14:48:48 +0900
    closes: #62844.
    Because of this patch, changed versioned dependency to new groff.
  * Added new check for libdb in configure.in
  * Added /usr/local/{share/}man to config file, due to bug in FHS,
    thanx to Gregor Hoffleit. Closes: #61058.
  * Added new message catalog po file for cs (czech) (4 new messages),
    thanx to Vladimir Michl.
  * tired of people continously complaining that man behaves differently
    than in RedHat (which is "The Reference Linux", you all know that),
    I'll add tbl as default filter for man. This will fix those three
    or four manpages that do not take the burden to declare their
    dependency on the tbl formatter (usually because upstream uses
    RedHat and so ...). Now what would I do if someone fill a bug
    against this because of wasting of CPU cicles for un-necessary
    filtering on the hundreds of pages that do not need tbl? I would
    certainly agree with them. Therefore I will fix this introducing
    scanning of manpages a la grog in mandb, and storing the result in
    the database.  ...[noise of hacking and debugging]...  Well, I did
    it (use accessdb to see it!). It took 4 weekend (stolen to the
    implementation of man 2.4) to complete and debug. Now you can
    announce the world that man-db 2.3.17 knows in advance which filters
    to run when processing a manpage which is in the database.
    This rant closes: #63497; be happy!:wq

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri,  7 Apr 2000 10:50:45 +0300

man-db (2.3.16-4) stable; urgency=high

  * Backport another security fix from unstable.
  * Count how many times privileges have been dropped, and don't regain them
    until regain_effective_privs() is called the same number of times. The
    lack of nesting meant it was still possible to create files owned by uid
    man (thanks, Luki R.; closes: #99624).

 -- Colin Watson <cjwatson@debian.org>  Fri,  1 Jun 2001 23:50:31 +0000

man-db (2.3.16-3) stable; urgency=high

  * The last upload regained privileges too early; an attacker could
    potentially remove execute permissions from files owned by man. My
    apologies for not detecting this earlier.

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Apr 2001 19:53:05 +0000

man-db (2.3.16-2) stable; urgency=high

  * Security upload by new maintainer.
  * Drop privileges in mandb when creating a temporary database in a
    user-supplied manual hierarchy. Thanks to Ethan Benson for observing
    this vulnerability.

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Apr 2001 23:10:24 +0100

man-db (2.3.16-1.1) stable; urgency=high

  * Non-maintainer upload by Security Team
  * Fixed unquoted throughpassing of format strings that could crash man

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu,  8 Feb 2001 23:27:53 +0100

man-db (2.3.16-1) frozen unstable; urgency=high

  * Applyed patch submitted by Javier Fernandez-Sanguino Pena to permit
    search of trnlated manpages before giving the first english one
    found. Closes: #61697.
  * Forgot the ignore dash in tags target in debian/rules, which made it
    adding a non necessary source dependance.  Closes: #61199.

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 22 Mar 2000 16:00:16 +0200

man-db (2.3.15) frozen unstable; urgency=high

  * Just recompiled, with an upgraded potato system.
    Let's see if this wipes away the grave installation problem listed
    in bugs #60339, #60399, #60411, #60515.
    In that case, I'll close these bugs by hand :-)

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 22 Mar 2000 16:00:16 +0200

man-db (2.3.14) frozen unstable; urgency=high

  * if unconfigured, it install binaries setuid root!
    also closes: #32213.
  * Forgot to put different md5sum for man and mandb in md5sums file.
    debsums was failing on them as they were modifyed by postinst.
    Closes: #59677, #60023 thanx to Lee Maguire.

 -- Fabrizio Polacco <fpolacco@debian.org>  Mon,  6 Mar 2000 12:35:35 +0200

man-db (2.3.13) frozen unstable; urgency=low

  * Applied patch to avoid disappearing of index file during
    regeneration. Thanx to Colin Phipps, closes: #58887.
  * Applied patch to generate secure temporary file in straycat.
    Thanx to Colin Phipps, closes: #58900.

 -- Fabrizio Polacco <fpolacco@debian.org>  Mon, 28 Feb 2000 22:09:05 +0200

man-db (2.3.12) frozen unstable; urgency=low

  * Applied security patch for forcing regeneration of secure temp file
    instead of reusing it. Thanx to Colin Phipps who audited it and
    submitted a patch. Closes: #58271.
  * Written new wrapper in C. It installs as /usr/bin/wrapper and is
    hardlinked to man and mandb while configuring. The package installs
    a one line script (as /usr/bin/man and /usr/bin/mandb) that simply
    inform that the package is not configured; it is removed by postinst
    and replaced by hardlinks with /usr/bin/wrapper.
    Thanx to Ethan Benson, Colin Phipps.
  * Simply incremented minor number, to make Josip Rodin happy.
    Not only it is a native Debian package, but is is also a "new
    upstream release"(TM)  :-)  (and yes, I've changed the version
    number also in configure.in :-)
  * Added explicit proto in straycat.c as now libc has canonicalize_file_name().

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue, 22 Feb 2000 16:41:33 +0200

man-db (2.3.10-71) frozen unstable; urgency=low

  * after exaustive discussion of debian-devel, the wrapper script has
    been fixed. Thanx to Ethan Benson, Marcus Brinkman, Petr Cech.
    Closes #57566.
  * added double dependency to groff or jgroff.
  * added updated cs po file and a small fix to avoid a warning, thanx
    to the precious contribution of Vladimir Michl.

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue,  8 Feb 2000 17:01:36 +0200

man-db (2.3.10-70) frozen unstable; urgency=low

  * security fix: moved setuid binaries to /usr/lib/man-db and added
    shell wrapper to execute as user nobody when invoked by root.
    This would avoid having anybody running man as root, or cron running
    mandb.
  * Added more granularity in the "quietness" of mandb, and added option
    test to simply check the correctness of manpages, to allow lintian
    and/or dh_install_manpages to report warnings.
  * fixed a typo in spanish message catalog.
    Thanx to Jose Dapena Paz, closes: #56204.
  * added (but not enabled) new option -H (-Thtml) to take advantage of
    new html driver (still experimental but getting better) in groff.
  * as a consequence, added versioned dependency to groff >= 1.15
  * corrected location of GPL in copyright file.
  * corrected headers in po files for it and de.

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 14 Jan 2000 13:49:42 +0200

man-db (2.3.10-69s) unstable; urgency=low

  * added symlinks for /usr/doc (in postinst and prerm).
  * changed installation of japanes manpages to dir "ja".
  * Corrected incomplete apply of HURD patch. Closes: #48052.
  * Changed configure.in and libdb/mydbm.h to force inclusion
    of correct db_185.h header. Thanx to Marcus Brinkmann.
  * Corrected use of setlocale in files other that man.c;
    closes: #48128, thanx to "David Huggins-Daines".
    also closes: #48495.

 -- Fabrizio Polacco <fpolacco@debian.org>  Sat, 16 Oct 1999 03:33:23 +0300

man-db (2.3.10-69r) unstable; urgency=low

  * Modified utility accessdb to default to FHS location of the cache.
  * Reduced verbosity of mandb when -q option is used; thanx to
    Francesco Potorti` <F.Potorti@cnuce.cnr.it>; closes: #28819.
  * corrected location of manual in menu and use of doc-base.
    Thanx to "J.H.M. Dassen \(Ray\)" <jdassen@wi.LeidenUniv.nl>
    closes: #47434.
  * applied patch for locale setting (also to manpath and whatis), and
    for inclusion of locale dirs in path. Thanx to Michael Sobolev
    <mss@transas.com> and to Raphael Hertzog <rhertzog@hrnet.fr>;
    closes: #46853.
  * Added message catalog in French, translated by Laurent Pelecq
    <laurent.pelecq@wanadoo.fr>, but mainly thanx to Raphael Hertzog who
    made this possible (I tried several times :-)
    Now, when we'll get also the manpages in French?

 -- Fabrizio Polacco <fpolacco@debian.org>  Sat, 16 Oct 1999 03:33:23 +0300

man-db (2.3.10-69p) unstable; urgency=low

  * added default LESSCHARSET for latin1 in case of no LANG.
    thanx to <lowe@asel.udel.edu>, closes: #46628.
  * Added manpages in japanese, translated by Takeo NAKANO
    <nakano@apm.seikei.ac.jp>, thanx to
    nabetani@kern.phys.sci.osaka-u.ac.jp, closes: #46600

 -- Fabrizio Polacco <fpolacco@debian.org>  Mon,  4 Oct 1999 16:15:52 +0300

man-db (2.3.10-69o) unstable; urgency=low

  * re-established correct behaviour for -t option, thanx to Roland
    Rosenfeld <roland@spinnaker.de>, closes: #46592.
  * this part was in 69n, but I forgot the ':'
  * all manpage locations doubled because of a slash :-)
    thanx to Lazarus Long and Wichert Akkerman.
    Closes: #46448, #46497.

 -- Fabrizio Polacco <fpolacco@debian.org>  Mon,  4 Oct 1999 13:30:25 +0300

man-db (2.3.10-69m) unstable; urgency=high

  * grave: it looks like acting in the postinst as dpkg does for generic
    conffiles brakes man, which mow cannot work without that file.
    I don't know if this is a bug per-se (man should run even without
    config file), but I've changed the postinst to default on copying
    the current config file.
    Closes: #46363, #46367 (and several others, while it reaches the
    mirrors?)

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri,  1 Oct 1999 10:37:46 +0300

man-db (2.3.10-69k) unstable; urgency=low

  * problems with locale.
    modified check of locale directory to try all combinations.
    This should permit installing in xx while using LANG=xx_XX.YYY

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 29 Sep 1999 18:57:16 +0300

man-db (2.3.10-69j) unstable; urgency=low

  * made compliant to policy 3.0.1
  * Gone through a quick check of all bugs (61!):
    Problems fixed in previous releases, but never closed:
    closes: #35336, #20949, #21016, #21240, #23239, #23267, #24267,
    #24604, #24691, #25825, #26002, #26038, #26077, #26222, #26465,
    #27858, #32036, #32759, #33679, #34643, #41748.
  * removed setuid permissions from file in tarball, as postinst handle
    them properly. Closes #32213.
  * changed the copyright file to point out that the author has passed
    maintainership. Also changed location of his ftp site.
    closes #41737, #30153.
  * found (and fixed) nasty bug in reading config file that
    segfaulted on too large files. Now stops reading and procede.
  * Added japanese support. Thanx to Taketoshi
    Sano <sano@debian.org> and Fumitoshi UKAI <ukai@debian.or.jp>.
    Closes: Bug#38107.
  * partially eliminated feature to display file when manpage is
    not found, limiting it only when the argument is a pathname
    containing the character '/'.
    closes: #41205, #41715, #45979.
  * created perl script /usr/lib/man-db/chconfig that scans the
    file in argument (the man confile) and upgrade it to FHS.
    Its call from postinst is checked also against perl presence.
  * removed /etc/manpath.config from conffiles;
    added in postinst automatic copy of it if the existing one isn't
    being modified, or using the new script to validate it and upgrade
    to FHS. Treat correctly absence of the config file (??) and allow
    insertion of keyword NOFHS in /etc/manpath.config to avoid its
    update.
  * added list of md5sums from previous conffiles, to help detect
    unmodified ones. Added to rules file the automatic adding of
    a new md5 if a new conffile is created.
    (so maintainers don't have to maintain it)
  * added Japanese message catalog, curtesy of
    Fumitoshi UKAI <ukai@debian.or.jp>; closes: bug#43845.
  * added corrected translations in Italian, thanx to
    Giovanni Bortolozzo <borto@dei.unipd.it>
  * changed tests in configure.in to detect new libdb installed from
    glibc. Closes: bug#39646
  * corrected typos in control file, thanx to Richard Braakman
    <dark@xs4all.nl>, closes: bug#39687
  * corrected use of LANG in locale.
    thanx to ypwong@debian.org, closes: bug#39281.
  * added patch for HURD for canonicalize_file_name thanx to
    Marcus Brinkmann (brinkmd@debian.org), closes: bug#39039.

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed,  9 Jun 1999 10:37:29 +0300

man-db (2.3.10-69i) unstable; urgency=low

  * In man-db -69i:
  * In man-db -69FIX.1:
   * Added unlink of temporary file between call to tempnam and open to
     reduce (without completely avoiding it) the possibility that a
     malicious user puts a dangling symlink to let man leave a file
     (with a manpage inside :-) in places different that the temporary
     directory. Not a security risk at all, IMO.
   * Added secure open of temporary file in zsoelim.l , thanx to
     Marc Heuse <marc@suse.de>. The code was not secure against a
     symlink attack. This didn't affect 'man', which does not excute
     that part of the code, but only manual execution of zsoelim.

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed,  9 Jun 1999 10:37:29 +0300

man-db (2.3.10-69h) unstable; urgency=low

  * In man-db -69h:
   * Corrected problem that did not permit finding local manpages as
     default (without -l , as added in version -69g) if the pathname was
     not an absolute pathname. (found by me :-)
   * avoided error message "file not found" in case of failed
     local search as default after failed search ob database.
     Thanx to <jpt@cif.rochester.edu>, closes bug#37882.
   * added new czech message catalog, thanx to Vladimir Michl
     <Vladimir.Michl@seznam.cz>
   * updated manual page man(1), example section, to make more clear
     that man -k and man -f *runs* apropos and whatis.
     Closes: #35741.
   * updated usage string and manual page for apropos, to reflect the
     use of -r as default, and the addition of -e to get the previous
     behaviour.

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri,  9 Apr 1999 10:49:11 +0300

man-db (2.3.10-69g) unstable; urgency=low

  * In man-db -69g:	Mon,  5 Apr 1999 20:27:12 +0300
   * corrected typo in aclocal.m4 that made detection of broken pclose
     unavailable for configure. Thanx to UNO Takeshi <uno@sysplan.co.jp>
     for the report and the patch. Closes: #35608.
   * Added ability to suppose -l when no manpage is available; this
     enhancement was requested in bug#19999 and #23567
   * Added patch to fix bug#25270 (uninitialized var which made ignore
     the config file) thanx to cph@martigny.ai.mit.edu (Chris Hanson)
     for the report and the patch. This problem was also described by
     Roland Rosenfeld <roland@spinnaker.rhein.de> in bug #30646.
   * made czech message catalog available. When for manpages?
  * In man-db -69f:	Thu,  1 Apr 1999 16:17:58 +0300
   * corrected bug in manp.c introduced in 69e (missing xstrdup).
     My apologizes. Closes: #35326, #35353, #35354 .
     I hope it fixes also #35355 and #35336, but as I wasn't able to
     reproduce it, I'm not able to test its fix :-)
   * corrected typo in mandb.8 (/omitted/emitted/) (I remember having
     fixed it already ... maybe I'm getting too old?)
   * added message catalog in czech translated last year by
     Vladimir.Michl@upol.cz and added using the wrong format and
     later forgot. How can I be forgiven?
  * In man-db -69e:
   * Corrected typo in german messages file, thanx to Christian Hammers
     <ch@lathspell.westend.com> for the hint.
   * added enhancement to get manpath add default values from config
     file to value in MANPATH env var according to presence of redundant
     semicolon; suggested by Peter Moulder <reiter@netspace.net.au> in
     wishlist bug#19999.
     TODO:
     modify manpage, manual and so to describe new enhancement to
     $MANPATH management; trailing or leading spare semicolon make add
     the manpath derived from config files to the content of the var. A
     double semicolon in the middle of the var makes insertion of the
     rules derived into the var.
   * added management of a user conf file ~/.manpath , with the same
     syntax of /etc/manpath.conf, whose content is added to the default
     conf file. It remains to be demonstrated if handling of cache works
     as expected in all cases.
     This enhancement, binded with the previous one, gives users
     complete control over user managed mapages, which is quite more
     needed out of Linux, in other OSes.
  * In man-db -69d:
   * Wrong change in manpath.config: it built two indexes for /usr/man
     and /usr/share/man, and put both in /var/cache/man , so the second
     overwrote the first. Thanx to Matthew Eaton, closes: #34636.
  * In man-db -69c:
   * put back the config file into /etc ... :-)
   * found a bug in postinst that didn't rebuild the index.
  * In man-db -69b:
   * corrected lintian's error in menu file.
   * modifyed cron.daily
   * moved configuration file to /etc/menu/
     created list of sections in /etc/menu/sections.list
     The idea is to have mandb create it when scanning manpages.
   * FHS compliance:
    - add /usr/share/man in /etc/manpath.conf
    - move /var/catman to /var/cache/man
      * user's changes need manual update.
      * absolutely DON'T SYMLINK /usr/man !! Otherways you'll get double
        entries in the database.
      * removed FSSTND keyword from manpath.conf and its handling in the
        code, as it was a hack messing up names.
    - start installing manpages in /usr/share/man
      Don't worry about old packages installing into /usr/man .
      man is designed to search pages on several directories!
    - modify {pre,post}{inst,rm} scripts.
  * TODO:
   * modify docs (manpages and manual) to reflect these changes.
   * raise bug to lintian to get a version that complains for manpages
   * in /usr/man and recognize manpages in /usr/share/man .
     .
  * In man-db -69a: Sun,  7 Mar 1999 19:32:25 +0200
   * Applyed (manually) patch to handle -l option (pipe from stdin)
     Thanx to Peter Maydell <pmaydell@chiark.greenend.org.uk> who
     wrote the patch.  (should fix: #3739, #21445)
   * Modifyed apropos (and man -k ) behaviour to make -r option the
     default, even in absence of the env POSIXLY_CORRECT.
     Added option -e (--exact ) to permit the previous behaviour,
     when the keywords match only full words in the descriptions.
     Modifyed the usage of man and apropos.
     Need to modify the manpages and the manual.
     Thanx to Ian Jackson who posted the suggestion eons ago.
     (should fix: #3788 )
  * TODO:
   * To fix bug #5360 (which is not a bug in man-db) I want to create
     a manpage installer program that checks all the common errors
     in manpages like broken symlinks, wrong section, wrong location,
     missing of preprocessor directive in the first line and missing
     of .SH NAME section.
     This installer should also execute mandb to update the database (as
     when man -u is issued), as the automatic detection of new manpages
     doesn't work in case of multiple pages with the same name in
     different sections (#10106).  This update should be done in
     background after dpkg has finished.
   * to fix bug #3766 ("man" acting too smart) I need to take out of the
     sources the list of sections, and put it into the configuration
     file. This is not trivial, as the list is dinamic, but mandb scans
     all the pages in the system to collect descriptions, so I can use
     that code to collect the list of sections, order it and write it
     somewhere (=/var/cache/man/sections). Then man sources the list.
   * I need to add an option to show the order in which sections are
     processed while searching for a page. Actually this list is
     hardwired in the source code. It should be in the config file AND
     dinamically extended by mandb (which finds new sections). Splitting
     the config file into a directory would improve this? Yes.
   * For bug #11848 I should download glib sources, apply patches and
     then look into "locale" source code to see how and from where it
     takes the informations printed in line 'ctype-codeset-name' when I
     issue the command 'locale -k LC_CTYPE'; then reproduce this inside
     man.c and check the result. --ascii option should be assumed for
     ISO8859 different from -0, -1, -3, -7, -9 .

 -- Fabrizio Polacco <fpolacco@debian.org>  Sun,  7 Mar 1999 19:32:25 +0200

man-db (2.3.10-69) unstable; urgency=low

  * Corrected wrong set of terminal modes even when "not-a-tty".
    (thanx to Alessandro Rubini for the report)

 -- Fabrizio Polacco <fpolacco@debian.org>  Sun, 29 Nov 1998 01:01:54 +0200

man-db (2.3.10-68) unstable; urgency=low

  * Removed correction of return code, which made man ignore symlinks.
    (closes: #26351 thanx to Branden Robinson <branden@purdue.edu> )

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue,  6 Oct 1998 17:49:28 +0300

man-db (2.3.10-67) unstable; urgency=low

  * Corrected messaging for dangling symlink; also added correct
    handling of return codes, so now there will be only one warning line
    for each dangling symlink. (Thanx to Joey Hess, closes: #26141)
  * Added forcing of umask to avoid uncorrect settings of catdirs.
  * Added code to check for each single subcatdir, but, due to major
    load, conditioned code only to mandb. That is to say that catdirs
    are automagically created only by mandb.
  * Removed "access" check in mandb which use the real user, making the
    setuid binary a non-sense.

 -- Fabrizio Polacco <fpolacco@debian.org>  Sat, 29 Aug 1998 16:32:30 +0300

man-db (2.3.10-66) unstable; urgency=low

  * added change of ownership in creating new catman hierarchy when done
    by root. Thanks to Alexis Huxley for the detailed report.
    (closes: #24691, #25825, #26002)
  * corrected typo in mandb(8), tx to Richard Braakman, closes: #24296

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 15 May 1998 23:20:47 +0300

man-db (2.3.10-65) frozen unstable; urgency=low

  * added correction to spanish translations supplied by Santiago Vila.
    (closes: #21240)
  * Added a check for the availability of the executable "mail" otherway the
    postinst could fail.
  * Modifyed the check for update-menus to be on a single line for lintian,
    and to have safe exit point for failure of test.
  * Cleaned cron.weekly from call to the no-more existent utility mkcatdirs,
    whose presence make people (actually me, which is even worse) think that
    catpages were purged weekly, which is no more the case since 2.3.10-60
    Also lowered (from 7 to 6) the days of non-access to purge catpages,
    because the weekly access for rebuilding the database would always keep
    the atime lower than 7. (Thanx to Nicolás Lichtmaier for having tampered
    me untill I noticed that :-)

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue,  7 Apr 1998 23:27:32 +0300

man-db (2.3.10-64) frozen unstable; urgency=low

  * corrected bug in zsoelim.l that made it segfault (closes: #19746).
    solved also another bug which didn't make it uncompress files.
  * corrected typo in menu entry (closes: #20169)
  * corrected linkage of zsoelin which included -ldb2 (unused).
  * added Tom Christiansen's example of manpage.
  * added corrections to spanish message catalog (Nicolás Lichtmaier and
    Luis Francisco Gonzalez).
  * corrected propagation of option -L in whatis/apropos.

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 11 Mar 1998 19:10:58 +0200

man-db (2.3.10-63) unstable; urgency=low

  * changed i18n from catgen to gettext; I updated all po files, but
    there are some entries empty.
  * problems with i18n: added explicit check of environment instead of
    trusting setlocale(); now man works with translated manpages.
  * moved umask 022 from the shell command to the open of the temporary
    file, to avoid errors in case of restrictive settings, due to the
    open call added in -60

 -- Fabrizio Polacco <fpolacco@debian.org>  Sun,  1 Mar 1998 23:20:41 +0200

man-db (2.3.10-62) unstable; urgency=low

  * added check in configure that bsdmainutils is installed, so check
    for col won't fail. closes: #18661, #18665. We absolutely need
    source-depends, otherways autobuild won't work.
    Version for libc5 was correctly built, so -59bo61 is OK.
  * oops, wrong put of update-alternatives in postrm instead than prerm.

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 27 Feb 1998 10:42:04 +0200

man-db (2.3.10-61) unstable; urgency=low

  * man-db (2.3.10-61) unstable; urgency=low
  * man-db (2.3.10-59bo61) bo-unstable; urgency=low

  * Changed test in configure to fail if executed without a pager on a
    Debian system.
  * To avoid the error "pager: No such file" when a newer man is used
    without upgrading any of the pagers in the system, I have added a
    bogus pager "/usr/sbin/man-pager", which points to /bin/more,
    installed through update-alternatives with a weight very light (1).
    Probably the Right-Thing-To-Do (TM) is to add a VP "pager" and ask
    all pager installing /usr/bin/pager to Provide: it (at least
    util-linux). Later man-db could Depends: on it  :-)

 -- Fabrizio Polacco <fpolacco@debian.org>  Thu, 26 Feb 1998 12:15:33 +0200

man-db (2.3.10-60) unstable; urgency=low

  * man-db (2.3.10-60) unstable; urgency=low
  * man-db (2.3.10-59bo60) bo-unstable; urgency=low

  * created a new manpage for accessdb utility (lintian will be happy).
  * slightly modifyed manpath(1) manpage to reflect changes in manpath
    behaviour (back in version 2.3.10-39, #10039) about search for man
    hierarchy in the current directory. Udated english, italian and
    spanish pages; german ones are very old and need a complete reread.
  * added (in src/manp.c) creation of catman hierarchies -on-the-fly-,
    thus obsoleting all those scripts like mkcatdirs, and also modifying
    pre,post scripts.  (closes: #15518, #14449);
  * added checks in configure.in to determine if run on a debian system,
    defining DEBIAN, DEBVER, DEBMAINT and putting them in config.h ;
    removed old way to insert debian version number in the program.
  * cleaned cron files (closes: #14810, #18208).
  * (lintian): updated the debian/copyright file for FSF address;
    deleted copyright of gencat utility (no more in binary).
  * added a safer open for temp file in create_ztemp(), closes: #16371
  * corrected menu file, (closes: #17352).
  * added local date support for translated manpages into configure.in
    and in the manpages (idea by Luis Francisco Gonzalez).
  * added spanish manpages and catalogs
      (thanx to Luis Francisco Gonzalez <luisgh@cogs.susx.ac.uk>,
      Enrique Zanardi <ezanardi@noah.dfis.ull.es>
      and Cesar BALLARDINI <cballard@santafe.com.ar> ).
  * build linking to libdb2

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue, 30 Dec 1997 17:13:09 +0200

man-db (2.3.10-57) unstable; urgency=high

  * (ver -57) => libc6 version, linked using libdb.a in libc6 and explicit -lc
     man-db (2.3.10-57) unstable; urgency=high
  * (ver -47) => still libc5 compiled under debian-1.3.1 ( =>experimental)
     man-db (2.3.10-47) experimental; urgency=low

  * changed Standards-version to 2.3.0.1
  * un-debstd-ized rules, postinst and postrm.
  * Moved suidmanager call _before_ mandb run (should fix #14996),
     but debstd still add his stuff at the end: need to stop it.

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue, 18 Nov 1997 20:52:44 +0200

man-db (2.3.10-56) unstable; urgency=high

  * (ver -56) => libc6 version, linked using libdb1 in libc6 and explicit -lc
     man-db (2.3.10-56) unstable; urgency=high
  * (ver -46) => still libc5 compiled under debian-1.3.1 ( =>experimental)
     man-db (2.3.10-46b) experimental; urgency=low

  * found __big__ problem in libc6-dev that installs db1.85 with
     soname 2, while old libdb1-dev package (from bo) is linked
     with libc5 ... need to link statically to libdb.a to avoid
     future problems when _true_ db2 will be installed.
  * oops, in 55 (libc6) pager was left undefined (#14862, sigh)
  * oops, missing accessdb as promised :-)
  * changed tests on closed streams to detect more conditions.

 -- Fabrizio Polacco <fpolacco@debian.org>  Sun, 16 Nov 1997 01:31:44 +0200

man-db (2.3.10-55) unstable; urgency=low

  * (ver -55) => libc6 version, linked using libdb1 in libc6 and explicit -lc
     man-db (2.3.10-55) unstable; urgency=low
  * (ver -45) => still libc5 compiled under debian-1.3.1 ( =>experimental)
     man-db (2.3.10-45) experimental; urgency=low

  * Added check of libdb (1 or 2) in configure.in with set of BTREE
     to 1 or 2, changes in CFLAGS. Conditioned inclusion of db/db.h or
     db_185.h to value in BTREE.
  * Added open of stdin/stdout/stderr in man.c in case someone like
     "info" closed them before exec-ing man. This corrupted the
     database files, and later segfault in the db library.
     (fixes bug#11278, #11469, #11471, #14181)
  * Added /opt hierarchy in src/man_db.config (etc/manpath.config)
  * Added tool accessdb in /usr/bin . No manual page (yet).
  * Added option -S (safety mode) to pic in configure.in
  * Changed default pager from more to "pager" in configure.in
     (fixes#14254, thanks to Scott K. Ellis)
  * Added resetting of pristine terminal setting when exiting
     (#14174, thanks to Herbert Xu)
  * Corrected error in the changelog for version 52, 53, 54
     about linking against libdb2 (it was libdb from glibc2).

 -- Fabrizio Polacco <fpolacco@debian.org>  Thu, 30 Oct 1997 00:24:55 +0200

man-db (2.3.10-44) experimental; urgency=low

  * (ver -54) => libc6 version, linked using libdb2 and explicit -lc
     man-db (2.3.10-54) unstable; urgency=low
  * (ver -44) => still libc5 compiled under debian-1.3.1 ( =>experimental)
     man-db (2.3.10-44) experimental; urgency=low

  * avoided bashism in debian/rules.
  * deleted bogus files with spaces embedded in name (#13888)
  * applied patch for alpha by <chris@beezer.med.miami.edu> #13851
  * zsoelim.l - added new start condition to avoid expansion of .so
     requests inside a macro definition. (fixes #2969 and #13812)

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue, 14 Oct 1997 11:00:53 +0300

man-db (2.3.10-53) unstable; urgency=low

  * (ver -53) => libc6 version, linked using libdb2 and explicit -lc
     man-db (2.3.10-53) unstable; urgency=low
  * (ver -43) => still libc5 compiled under debian-1.3.1 ( =>experimental)
     man-db (2.3.10-43) experimental; urgency=low

  * added quote around var in mkcatdirs (fixes #13738, tx M.Konarski)
  * added removal of tempfiles from handler for SIGINT
     (fixes bug#13352 Thanks to John Goerzen)
  * changed way to call groff adding -P-g so grops can guess a page size
     (fixes #13563 uncorrectly assigned to groff, thx John Kallal)
  * solved deletion of entries in index when skipping their display (#10483)
  * wiped wrong message displayed when skipping display of manpage.
  * avoided redundant searches for section names longer than one char.

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue, 30 Sep 1997 10:52:03 +0300

man-db (2.3.10-42) experimental; urgency=low

  * (ver -52) => libc6 version, linked using libdb2 and explicit -lc (#11706)
  * (ver -42) => still libc5 compiled under debian-1.3.1 ( =>experimental)

  * Added removal of tempfiles via atexit().
  * restored original order in search sections (3 before 2) changed by
     previous maintainer (don't know why) (#12192 thx Juan Cespedes)
  * redirecting unusefull error messages in postrm and preinst (#12224)
  * doesn't provide gencat anymore, but can't use libc6's gencat. (#9841)
  * Changed tests in postinst to work with ash (#12212 thx Herbert Xu)
  * Changed define of debian version for use in non-debian systems
     (thanx to Albert Chin-A-Young); added file include/version.h

 -- Fabrizio Polacco <fpolacco@debian.org>  Mon, 18 Aug 1997 10:26:10 +0300

man-db (2.3.10-41) unstable; urgency=high

  * oops, -40 was linked against libgdbm1. (need a symlink db.h ->db/db.h
  * rebuild using (and dependent from) libdb1_1.85.4-4 with security
     fix. This shouldn't make any difference (man.db doesn't use snprintf)

 -- Fabrizio Polacco <fpolacco@debian.org>  Sun, 17 Aug 1997 15:16:59 +0300

man-db (2.3.10-40) unstable; urgency=low

  * Still libc5 version.
  * (Italian version) Minori correzioni a mandb.m da parte di Borto.
  * several corrections to it's => its typos in manpages [man(1), manpath(1),
     zsoelim(1), mandb(8)] Fixes Bug#11440 thanx to David Damerell.
  * Restore correct NAMN swedish parse for whatis (bug introduced by me
     fixing #6497 on version -34) Thanx to John F. Bunch. (fixes bug#12069)
  * Fixed segfault using an empty arg to -S option (Bug#12074, Thx Herbert
    Thielen)
  * Fixed wrong manpath behaviour (Bug#10377, Thanx to Michael Lachmann)
  * reduced output in postinst (Bug#11902).
  * included execution of chmanconfig (which adds MANDB_MAP lines for lang
     manpages) inside mkcatdirs (which creates catdir hierarchies).

 -- Fabrizio Polacco <fpolacco@debian.org>  Thu, 14 Aug 1997 13:16:43 +0300

man-db (2.3.10-39) unstable; urgency=low

  * added debian version info to option -V
  * corrected a couple of italian messages that didn't work (Grazie Borto)
  * added nlsutils in Replaces: field of control file (fixes Bug#9943)
  * Ugly typo in debian/rules that made .dwww-index disappear from last
     version (-38): my fault! (sigh) (autoBug#10130)
  * dropped scan of current directory if explicitly present in PATH both
     as an empty entry or an explicit dot; this used to left index files
     here and there.  (fixes Bug#10039, thanks to Giuliano Procida)
  * allowed non "man" dirs if in manpath.config
     (now accepts manpages hierarchies like /usr/share/ucbman)
     fixes Bug#9947, thanks to Richard Kettlewell.

 -- Fabrizio Polacco <fpolacco@debian.org>  Thu, 22 May 1997 13:04:48 +0300

man-db (2.3.10-38) frozen unstable; urgency=low

  * Added test -x of commands in cron.weekly (#9973), Nicolas Lichtmaier
  * Broken link from dwww index, thanx to David ROCHER (fixes #9792)
  * Corrected broken links from toc in html manual (bug#8950bis & #9725)
  * Added /usr/doc/man-db/Changelog.gz, NEWS, ToDo (closes bug#7506)

 -- Fabrizio Polacco <fpolacco@debian.org>  Mon, 28 Apr 1997 12:28:33 +0300

man-db (2.3.10-37) frozen unstable; urgency=low

  * Added nice to postinst index rebuild (bug#8946)
  * Bug#8950: MANOPT parsing error corrected (Thanx to Ricardas Cepas)
  * Bug#8950: Changed again way to determine section names: hardcoded
     into manconfig.h.in , need policy to update with new ones.

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue, 22 Apr 1997 15:09:22 +0300

man-db (2.3.10-36) frozen unstable; urgency=low

  * Discovered and corrected a more serious bug in debian/rules in a
     rm statement line (this is the reason for going into frozen).
  * Changed clean rule in debian/rules to handle cases in which the
     GNUmakefile or the build markfile are missing, (bug#8822)
     thanks to Michael Alan Dorman <mdorman@lot49.med.miami.edu>
  * Allowed undocumented option -X to be passed to groff.

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 18 Apr 1997 10:05:53 +0300

man-db (2.3.10-35) frozen unstable; urgency=low

  * also added copyright notice for gencat program to Copyright file.
  * added gencat binary (fixed error in Makefile, thanks to Christian
     Hudon <chudon@ee.mcgill.ca>)

 -- Fabrizio Polacco <fpolacco@debian.org>  Sun, 13 Apr 1997 08:08:43 +0300

man-db (2.3.10-34) unstable; urgency=low

  * added revision March 97 of Italian manpages.
  * Patched lexgrog.l to recognise NAME saction in other languages:
     NAME, NOME, NOM, NOMBRE, BEZEICHNUNG. (Bug#6497, Herbert Thielen)
  * added flag -f to gzip to avoid failing of mandb on badly named files.
  * Fixed bug#8357 adding missing newline in the message
     "What manual page do you want?\n" (Thanx to Herbert Xu)
  * added in debian/rules command to clean index.bt built in man dir
  * Applied patch to process NAME section containing .IX (perl pod)
     thanx to Craig Wiegert <cwiegert@midway.uchicago.edu> (#8249)

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue, 1 Apr 1997 10:11:16 +0300

man-db (2.3.10-33) unstable; urgency=low

    * This will replace man package in Debian 1.3
    * Corrected typo in control file
    * Added dwww index entry
    * Added html version of manual (from .me via unroff + manual edit :-( )
    * Moved dependency on bsdmainutils from Depends to Suggests.
    * Removed failure of installation if removal of catpages failed.
    * Added italian manpages and message catalogs
       (Thanx to Giovanni Bortolozzo <borto@dei.unipd.it>)

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue, 4 Mar 1997 17:47:13 +0200

man-db (2.3.10-32) unstable; urgency=high

    * Due to paranoia version -31 doesn't upgrade from -30 (Oops)
    * in chmanconfig remove old lines instead that commenting them out.

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 26 Feb 1997 18:31:45 +0200

man-db (2.3.10-31) unstable; urgency=low

    * Corrected location of message catalogs (#7491, thanx Scott K.Ellis)
       from /usr/lib/locale to /usr/share/locale .

 -- Fabrizio Polacco <fpolacco@debian.org>  Thu, 20 Feb 1997 02:17:37 +0200

man-db (2.3.10-30) unstable; urgency=low

    * Installed german manpages and message catalogs.
    * In postinst added search for languages installed to build catmans
       also for them.
    * Added /usr/sbin/chmanconfig, a perl script that updates
       /etc/manpath.conf for the listed language, and calls mkcatdirs to
       update the catdir hierarchy.
       This is to be used by packages that install translated manpages.
    * Closes Bug#5977: (strange bug in man causes magically unpredictable
       manpage ?) due to change in database library and my inability to
       reproduce this behaviour.
    * Changed output of these messages from stdout to stderr (#4207):
       "What manual page do you want from section ?";
       "What manual page do you want?";
       "No source manual entry for ";
       "No manual entry for ";
    * added in cron.weekly the update of catdirs hierarchy and forced
       complete rebuild of indexes (instead of simple update)
    * Installs tools/mkcatdirs in /usr/sbin ; this script can be used
       (and is used in postinst) to build the catman hierarchy
       that now is made on the fly instead than burn in the package.
       Modifyed to make also main catdirs (not only subdirs)
    * preinst and postrm both remove the whole catman hierarchy.
    * postinst builds the catman hierarchy using mkcatdirs or a basic
       set of dirs predefined, and then builds the index databases.
    * Provides: man, man-browser. Conflicts: man. Replaces: man.
       These should remove the old man package as well as the man-aeb.
    * Compiled using option nls=all (all locales).
    * Linked against libdb1 (Berkeley) instead of gdbm.
    * Compiled using libc5 5.4.20
    * Changed name from man to man-db, to follow upstream (man_db)
       this also fixes bug #4885 (/usr/doc/man gets man itself confused)
    * Added man_db-manual-0.5.cat (which was distributed separetely) as
       /usr/doc/man-db-manual.txt
    * Rebuilt using debmake (Standards-Version: 2.1.2.2) resulting in a
       smaller debian/rules file (but not more explicative).

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 5 Feb 1997 20:01:49 +0200

man (2.3.10-18) stable unstable; urgency=low

    * changed the way 'man 9term' problem is handled (bug#5345) fixed
       badly in 2.3.10-16 (oops)
    * removed subdirectory debian/new that caused dpkg-source to fail :-(
    * Added check in preinst to warn only changing owner of catman dirs
       (fixes #7035 thanx to Santiago Vila Doncel and Kai Henningsen)

 -- Fabrizio Polacco <fpolacco@debian.org>  Thu, 13 Feb 1997 12:30:12 +0200

man (2.3.10-17) stable unstable; urgency=low

    * fixed bug#6496: man's cron scripts should be conffiles (oops :-)

 -- Fabrizio Polacco <fpolacco@debian.org>  Mon, 20 Jan 1997 00:48:33 +0200

man (2.3.10-16) frozen unstable; urgency=low

    * fixed bug#????: man segfaults when MANPATH="" (null string)
        changed to consider null string as var unset.
    * fixed bug#5833: MANPATH="" manpath -g: wrong warning.
    * fixed bug#5345: man 9term problem (coded Debian's policy for
        sections = only one digit)
    * fixed bug#5809: mandb -c fails on dangling symlink in cat (added
        code to detect dangled symlinks in stray cats) Thanx H.Thielen.
    * fixed bug#4372 NULL pointer dereference (Thanx Ray).
    * warning message for the absence of whatis fallback database
        downgraded to debug info because gdbm is used in this version.
    * setlocale continues not to work  :-(
    * compiled using libc5 5.4.13-1

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 6 Dec 1996 04:05:59 +0200

man (2.3.10-15) frozen unstable; urgency=low

    * fixed bug#5534 (man fails if env var SYSTEM is defined)
    * compiled using libc5 5.4.7-7
    * due to a bug in libc5 5.4.7-7 setlocale doesn't work.

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 22 Nov 1996 00:04:12 +0200

man (2.3.10-14) frozen; urgency=high

    * changed wrong owner of catman dirs (bug #5340)
    * added code in preinst to detect catman's wrong owner (bug #5340)

 -- Fabrizio Polacco <fpolacco@debian.org>  Sat, 9 Nov 1996 21:37:48 +0200

man (2.3.10-13.1) unstable; urgency=low

    * compressed manpages.
    * removed obsolete catman directories X386 and X11R5 (#3939)
    * added conffiles to debian structure (#4671)
    * built using original upstream sources + patch 2.3.10-13
    * Updated to Standards-Version 2.1.1.0

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 30 Oct 1996 20:02:31 +0200


Changes:
Sun Jul  7 21:46:09 BST 1996 Alvar Bray <alvar@debian.org>
	* Modified to build on different architectures
	* 2.3.10-12 -> 2.3.10-13

Mon Jun 10 23:38:11 BST 1996 Alvar Bray <alvar@debian.org>
        * Added dependency on bsdmailutils so col is present
        * Modified makefiles to new dchanges format
	* Set priority to be routine the same as manpages pkg.
        * 2.3.10-11 -> 2.3.10-12

Sun Mar 31 14:45:48 BST 1996 Alvar Bray <alvar@debian.org>
	* Added fix to ult_src.c from _Mark_ <eichin@cygnus.com>
	* 2.3.10-10 -> 2.3.10-11

Tue Mar  5 12:18:32 GMT 1996 Alvar Bray <alvar@meiko.co.uk>
	* Removed echo in cron.weekly
	* 2.3.10-9 -> 2.3.10-10

Sun Feb 18 14:25:45 GMT 1996 Alvar Bray <alvar@meiko.co.uk>
	* Changed to invoke groff with latin1 device.
	* 2.3.10-8 -> 2.3.10-9

Sat Feb 17 16:13:07 GMT 1996 Alvar Bray <alvar@meiko.co.uk>
	* Added H J Lu bugfix provided by Michael Meskes
	* Changed cron job regexp to catch all .gz files
	* Changed to use nice in cron jobs

Thu Jan 11 20:51:01 GMT 1996 Alvar Bray <alvar@meiko.co.uk>
	* Rebuilt using dynamic linking
	  2.3.10-7 -> 2.3.10-8

Tue Jan  9 20:46:44 GMT 1996  Alvar Bray <alvar@meiko.co.uk>
	* Added interpreter lines (#!/bin/sh) to cron job files.
	  (#2106).
	* Changed find time args (#2057) in cron.daily.
	* 2.3.10-6 -> 2.3.10-7 (fixes dpkg dependency problem
	  from libgdbm1.)

Sat Dec 16 21:06:56 GMT 1995  Alvar Bray <alvar@meiko.co.uk>
	* changed dependency libgdbm to libgdbm1
	  Rebuilt against libgdbm1 packages
          2.3.10-5 -> 2.3.10-6

Wed Nov 29 22:28:19 GMT 1995  Alvar Bray <alvar@meiko.co.uk>
        * changed dependency elf-libgdbm to libgdbm
          2.3.10-4 -> 2.3.10-5

Mon Nov 27 20:37:47 GMT 1995  Alvar Bray <alvar@meiko.co.uk>
	* added dependency on elf-libgdbm
	  2.3.10-3 -> 2.3.10-4

Wed Nov 22 17:30:49 GMT 1995  Alvar Bray <alvar@meiko.co.uk>
	* Compiled for elf - added dependency on lib5c
	  2.3.10-2 -> 2.3.10-3

20-September-1995 Alvar Bray <alvar@meiko.co.uk>
	Patched src/util.c to fix bug#1290 (improved testing to decide if
	catman page need rebuilding from src man page)
	2.3.10-1 -> 2.3.10-2

20-August-1995  Alvar Bray <alvar@meiko.co.uk>
	Upgraded package to the latest 2official" release.
	2.3.7 -> 2.3.10-1

24-July-1995  Alvar Bray <alvar@meiko.co.uk>
	Setup to use more as the default pager.

03-July-1995 Alvar Bray <alvar@meiko.co.uk>
	Change of Maintainer.
	Added Extended description.

24-December-1994 Bruce Perens <Bruce@Pixar.com>
	Added Debian GNU/Linux package maintenance system files and configure
	for Debian.
